(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    130823,       3738]*)
(*NotebookOutlinePosition[    175780,       5090]*)
(*  CellTagsIndexPosition[    173471,       5027]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  "Exploring Computer Mathematics\nwith ",
  StyleBox["TH\[Exists]OREM\[ForAll]",
    FontColor->RGBColor[0, 0, 1]]
}], "Subtitle",
  TextAlignment->Center],

Cell["Tutorial presentation at Linz, Dec. 2004", "Subsubtitle",
  TextAlignment->Center,
  FontSlant->"Plain",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  StyleBox["Tudor Jebelean and the ",
    FontSlant->"Plain"],
  StyleBox["TH\[Exists]OREM\[ForAll]",
    FontSlant->"Plain",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Group\nResearch Institute for Symbolic Computation\nUniversity of \
Linz, Austria ",
    FontSlant->"Plain"]
}], "Subsubtitle",
  TextAlignment->Center,
  TextJustification->0,
  CellTags->"Built\[Dash]in (PauleSchorn)"],

Cell["www.theorema.org", "Subsubtitle",
  TextAlignment->Center,
  FontFamily->"Arial",
  FontSlant->"Plain",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["Overview of the System", "Section"],

Cell[CellGroupData[{

Cell[TextData[{
  "What is ",
  StyleBox["TH\[Exists]OREM\[ForAll]",
    FontColor->RGBColor[0, 0, 1]],
  " ?"
}], "Subsection"],

Cell[CellGroupData[{

Cell["Init", "Subsubsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< Theorema`\)], "Input"],

Cell[BoxData[
    \("You can specify your personal preferences in a file `Setup.m` in the \
directory (folder) \"Theorema -> User\" in your private Theorema \
directory!"\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \(\(SetOptions[Prove, transformBy \[Rule] ProofSimplifier];\)\)], "Input"],

Cell[BoxData[
    \(\(SetOptions[Prove, 
        TransformerOptions \[Rule] {branches \[Rule] Proved}];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Snapshot", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[\((\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\) + \
\(\((\(0\^+\))\)\^+\))\)]\)], "Input"],

Cell[BoxData[
    \(\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\) + \(\((\(0\^+\))\)\^+\)\
\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<+\>\"", ",", \(any[m, n]\), ",", "\n", "\t", GridBox[{
            {\(m + 0 = m\)},
            {\(m + \(n\^+\) = \(\((m + n)\)\^+\)\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (+)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[\((\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\) + \
\(\((\(0\^+\))\)\^+\))\), using \[Rule] Definition["\<+\>"]]\)], "Input"],

Cell[BoxData[
    \(\(\((\(\((\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\))\)\^+\))\)\^+\
\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{
      StyleBox["Lemma",
        FontWeight->"Bold"], "[", \("\<0+\>", any[m, n], \n\t0 + m = m\), 
      "]"}]], "Input",
  CellTags->"Lemma (0+)"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{
          RowBox[{
            StyleBox["Lemma",
              FontWeight->"Bold"], "[", "\"\<0+\>\"", "]"}], ",", "\n", 
          "\t", \(using \[Rule] \[LeftAngleBracket]Definition["\<+\>"]\
\[RightAngleBracket]\), ",", "\n", "\t", \(by \[Rule] NNEqIndProver\)}], 
        "]"}], ";"}]], "Input",
  CellTags->"Proposition (commutativity of addition)"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-lemma-0-plus.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Goal: Practical Mathematical Work", "Subsubsection"],

Cell["Computing + Solving + Proving", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
Natural-style questions: language of higher-order logic, 2D notation\
\>", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["Natural-style answers (proofs)", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["Still experimental", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Characteristics", "Subsubsection"],

Cell[TextData[{
  StyleBox["One",
    FontSlant->"Italic"],
  " logic and software frame for formal mathematics."
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["Combines automated reasoning with computer algebra. ", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
A multi-method system. (Both general and special simplifiers, solvers, and \
provers in the system.)\
\>", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["An emphasis on \"nice\" input and output.", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
Programmed in Mathematica: platform independent. (However, no \"hidden\" \
knowledge of Mathematica is used!)\
\>", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}]
}, Closed]],

Cell[CellGroupData[{

Cell["This Talk", "Subsubsection"],

Cell[TextData[StyleBox["Simple examples.",
  FontSlant->"Plain"]], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[StyleBox["User view",
  FontSlant->"Plain"]], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[StyleBox["Underlying methods.",
  FontSlant->"Plain"]], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["System Architecture", "Subsection"],

Cell[CellGroupData[{

Cell["Basic layers: logic language, user interface", "Subsubsection"],

Cell[CellGroupData[{

Cell["logic language: quoting", "Subsubsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[ForAll] \+x P[x]\)], "Input"],

Cell[BoxData[
    RowBox[{"P", "[", 
      StyleBox["x",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None], "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Bullet][\[ForAll] \+x P[x]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      UnderscriptBox["\[ForAll]", 
        RowBox[{
          StyleBox["x",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], " "}]], 
      RowBox[{"P", "[", 
        StyleBox["x",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Bullet][\[ForAll] \+x P[x]] // InputForm\)], "Input"],

Cell["\<\
\[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[
   \[Bullet]var[x]]], True, P[\[Bullet]var[x]]]\
\>", "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["user interface", "Subsubsubsection"],

Cell[BoxData[
    \(Proposition["\<label\>", \ contents]\)], "Input"],

Cell[BoxData[
    \(Prove[Proposition["\<label\>"], using \[Rule] Theory["\<theory\>"], 
      by \[Rule] Prover, options\[Ellipsis]]\)], "Input"],

Cell[BoxData[
    \(Compute[\[Ellipsis]]\)], "Input"],

Cell[BoxData[
    \(Solve[\[Ellipsis]]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Engines: proving, computing, solving", "Subsubsection"],

Cell["common trace structure: \"reasoning object\"", "Subsubsubsection"],

Cell["\<\
Implementation: hierarchical structure of packages, loaded as needed\
\>", "Subsubsubsection"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Provers", "Subsection"],

Cell[CellGroupData[{

Cell["Propositional", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<conclusion\>\"", ",", "\n", "\t", GridBox[{
            {\(\((A \[And] B \[And] C)\)\[DoubleLongLeftRightArrow]A\), 
              "\"\<abc\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (conclusion)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<assumptions\>\"", ",", "\n", "\t", GridBox[{
            {\(A\[DoubleLongRightArrow]B\), "\"\<ab\>\""},
            {"C", "\"\<c\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (assumptions)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<conclusion\>"], 
        using \[Rule] Proposition["\<assumptions\>"], 
        by \[Rule] PropositionalProver];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-propositional.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \($TmaProofObject // InputForm\)], "Input"],

Cell["\<\
Theorema`Provers`Common`ProofObject`P\\
rivate`AndNode[Theorema`Provers`Commo\\
n`ProofObject`Private`ProofInfo[
  \"InitialProofSituation\", 
  \[Bullet]lf[
   \"Proposition (conclusion): abc\", 
   \[Trademark]Iff[\[Trademark]And[A, B, C], A], 
   \[Bullet]finfo[]], \[Bullet]asml[
   \[Bullet]lf[
    \"Proposition (assumptions): ab\", 
    \[Trademark]Implies[A, B], \[Bullet]finfo[\"\"]], 
   \[Bullet]lf[
    \"Proposition (assumptions): c\", 
    C, \[Bullet]finfo[\"\"]]]], 
 Theorema`Provers`Common`ProofObject`\\
Private`Subgoals[Theorema`Provers`Com\\
mon`ProofObject`Private`AndNode[
   Theorema`Provers`Common`ProofObjec\\
t`Private`ProofInfo[
    \"ProveEquivalence\", 
    \[Bullet]usedFormulae[
     \"Proposition (conclusion): abc\"]\\
, \[Bullet]generatedFormulae[\[Bullet]lf[\"1\", A, 
      \[Bullet]finfo[]], \[Bullet]lf[\"2\", 
      \[Trademark]And[A, B, C], \[Bullet]finfo[]], 
     \[Bullet]lf[\"3\", \[Trademark]And[A, B, C], 
      \[Bullet]finfo[]], \[Bullet]lf[\"4\", A, 
      \[Bullet]finfo[]]]], Theorema`Provers\\
`Common`ProofObject`Private`Subgoals[
    Theorema`Provers`Common`ProofObje\\
ct`Private`AndNode[Theorema`Provers`C\\
ommon`ProofObject`Private`ProofInfo[
      \"AssumptionIsConjunction\", 
      \[Bullet]usedFormulae[\"2\"], 
      \[Bullet]generatedFormulae[
       \[Bullet]lf[\"2.1\", A, \[Bullet]finfo[]], 
       \[Bullet]lf[\"2.2\", B, \[Bullet]finfo[]], 
       \[Bullet]lf[\"2.3\", C, \[Bullet]finfo[]]]], 
     Theorema`Provers`Common`ProofObj\\
ect`Private`Subgoals[Theorema`Provers\\
`Common`ProofObject`Private`AndNode[
       Theorema`Provers`Common`ProofO\\
bject`Private`ProofInfo[
        \"ConclusionIsAssumption\", 
        \[Bullet]usedFormulae[\"1\", \"2.1\"], 
        \[Bullet]generatedFormulae[]], 
       Theorema`Provers`Common`ProofO\\
bject`Private`Subgoals[], Theorema`Pr\\
overs`Common`ProofObject`Private`Main\\
ProofSituation[\[Bullet]lf[\"1\", A, 
         \[Bullet]finfo[]], \[Bullet]asml[
         \[Bullet]lf[\"2.1\", A, \[Bullet]finfo[]], 
         \[Bullet]lf[\"2.2\", B, \[Bullet]finfo[]], 
         \[Bullet]lf[\"2.3\", C, \[Bullet]finfo[]], 
         \[Bullet]lf[\"Proposition \\
(assumptions): ab\", \[Trademark]Implies[A, B], 
          \[Bullet]finfo[\"\"]], \[Bullet]lf[\"Propo\\
sition (assumptions): c\", C, 
          \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[
         {{\"PPND\", \[Bullet]lkTab[{}]}, 
          {\"ProversHistory\", {PPND}}, 
          {\"LastProver\", PPND}}]], 
       Theorema`Provers`Common`ProofO\\
bject`Private`Constraints[], 
       \"proved\"]], Theorema`Provers`C\\
ommon`ProofObject`Private`MainProofSi\\
tuation[\[Bullet]lf[\"1\", A, \[Bullet]finfo[]], 
      \[Bullet]asml[\[Bullet]lf[\"2\", \[Trademark]And[A, B, 
         C], \[Bullet]finfo[]], \[Bullet]lf[\"Prop\\
osition (assumptions): ab\", 
        \[Trademark]Implies[A, B], \[Bullet]finfo[
         \"\"]], \[Bullet]lf[\"Proposition \\
(assumptions): c\", C, \[Bullet]finfo[\"\"]]], 
      \[Bullet]lkTab[{{\"ProversHistory\", 
         {}}, {\"PPND\", \[Bullet]lkTab[{}]}, 
        {\"LastProver\", PPND}}]], 
     Theorema`Provers`Common`ProofObj\\
ect`Private`Constraints[], \"proved\"], 
    Theorema`Provers`Common`ProofObje\\
ct`Private`AndNode[Theorema`Provers`C\\
ommon`ProofObject`Private`ProofInfo[
      \"ModusPonens\", \[Bullet]usedFormulae[
       \"4\", \"Proposition \\
(assumptions): ab\"], 
      \[Bullet]generatedFormulae[
       \[Bullet]lf[\"5\", B, \[Bullet]finfo[]]]], 
     Theorema`Provers`Common`ProofObj\\
ect`Private`Subgoals[Theorema`Provers\\
`Common`ProofObject`Private`AndNode[
       Theorema`Provers`Common`ProofO\\
bject`Private`ProofInfo[
        \"ProveConjunction\", 
        \[Bullet]usedFormulae[\"3\"], 
        \[Bullet]generatedFormulae[
         \[Bullet]lf[\"3.1\", A, \[Bullet]finfo[]], 
         \[Bullet]lf[\"3.2\", B, \[Bullet]finfo[]], 
         \[Bullet]lf[\"3.3\", C, \[Bullet]finfo[
           ]]]], Theorema`Provers`Com\\
mon`ProofObject`Private`Subgoals[
        Theorema`Provers`Common`Proof\\
Object`Private`AndNode[Theorema`Prove\\
rs`Common`ProofObject`Private`ProofIn\\
fo[\"ConclusionIsAssumption\", 
          \[Bullet]usedFormulae[\"3.1\", 
           \"4\"], \[Bullet]generatedFormulae[
           ]], Theorema`Provers`Commo\\
n`ProofObject`Private`Subgoals[], 
         Theorema`Provers`Common`Proo\\
fObject`Private`MainProofSituation[
          \[Bullet]lf[\"3.1\", A, \[Bullet]finfo[
            ]], \[Bullet]asml[\[Bullet]lf[\"5\", B, 
            \[Bullet]finfo[]], \[Bullet]lf[\"4\", 
            A, \[Bullet]finfo[]], \[Bullet]lf[\"Pr\\
oposition (assumptions): c\", C, 
            \[Bullet]finfo[\"\"]]], 
          \[Bullet]lkTab[{{\"PPND\", \[Bullet]lkTab[
            {}]}, {\"ProversHistory\", 
            {PPND, PPND}}, 
            {\"LastProver\", PPND}}]], 
         Theorema`Provers`Common`Proo\\
fObject`Private`Constraints[], 
         \"proved\"], Theorema`Provers`\\
Common`ProofObject`Private`AndNode[
         Theorema`Provers`Common`Proo\\
fObject`Private`ProofInfo[
          \"ConclusionIsAssumption\", 
          \[Bullet]usedFormulae[\"3.2\", 
           \"5\"], \[Bullet]generatedFormulae[
           ]], Theorema`Provers`Commo\\
n`ProofObject`Private`Subgoals[], 
         Theorema`Provers`Common`Proo\\
fObject`Private`MainProofSituation[
          \[Bullet]lf[\"3.2\", B, \[Bullet]finfo[
            ]], \[Bullet]asml[\[Bullet]lf[\"5\", B, 
            \[Bullet]finfo[]], \[Bullet]lf[\"4\", 
            A, \[Bullet]finfo[]], \[Bullet]lf[\"Pr\\
oposition (assumptions): c\", C, 
            \[Bullet]finfo[\"\"]]], 
          \[Bullet]lkTab[{{\"PPND\", \[Bullet]lkTab[
            {}]}, {\"ProversHistory\", 
            {PPND, PPND}}, 
            {\"LastProver\", PPND}}]], 
         Theorema`Provers`Common`Proo\\
fObject`Private`Constraints[], 
         \"proved\"], Theorema`Provers`\\
Common`ProofObject`Private`AndNode[
         Theorema`Provers`Common`Proo\\
fObject`Private`ProofInfo[
          \"ConclusionIsAssumption\", 
          \[Bullet]usedFormulae[\"3.3\", \"Pro\\
position (assumptions): c\"], 
          \[Bullet]generatedFormulae[]], 
         Theorema`Provers`Common`Proo\\
fObject`Private`Subgoals[], 
         Theorema`Provers`Common`Proo\\
fObject`Private`MainProofSituation[
          \[Bullet]lf[\"3.3\", C, \[Bullet]finfo[
            ]], \[Bullet]asml[\[Bullet]lf[\"5\", B, 
            \[Bullet]finfo[]], \[Bullet]lf[\"4\", 
            A, \[Bullet]finfo[]], \[Bullet]lf[\"Pr\\
oposition (assumptions): c\", C, 
            \[Bullet]finfo[\"\"]]], 
          \[Bullet]lkTab[{{\"PPND\", \[Bullet]lkTab[
            {}]}, {\"ProversHistory\", 
            {PPND, PPND}}, 
            {\"LastProver\", PPND}}]], 
         Theorema`Provers`Common`Proo\\
fObject`Private`Constraints[], 
         \"proved\"]], Theorema`Provers\\
`Common`ProofObject`Private`MainProof\\
Situation[\[Bullet]lf[\"3\", \[Trademark]And[A, B, C], 
         \[Bullet]finfo[]], \[Bullet]asml[
         \[Bullet]lf[\"5\", B, \[Bullet]finfo[]], 
         \[Bullet]lf[\"4\", A, \[Bullet]finfo[]], 
         \[Bullet]lf[\"Proposition \\
(assumptions): c\", C, \[Bullet]finfo[\"\"]]], 
        \[Bullet]lkTab[{{\"PPND\", \[Bullet]lkTab[
            {}]}, {\"ProversHistory\", 
           {PPND}}, {\"LastProver\", 
           PPND}}]], Theorema`Provers\\
`Common`ProofObject`Private`Constrain\\
ts[\[Bullet]sl[]], \"proved\"]], Theorema`Pro\\
vers`Common`ProofObject`Private`MainP\\
roofSituation[\[Bullet]lf[\"3\", \[Trademark]And[A, B, 
        C], \[Bullet]finfo[]], 
      \[Bullet]asml[\[Bullet]lf[\"4\", A, 
        \[Bullet]finfo[]], \[Bullet]lf[\"Propositi\\
on (assumptions): ab\", \[Trademark]Implies[A, 
         B], \[Bullet]finfo[\"\"]], 
       \[Bullet]lf[
        \"Proposition (assumptions): \\
c\", C, \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[
       {{\"ProversHistory\", {}}, 
        {\"PPND\", \[Bullet]lkTab[{}]}, 
        {\"LastProver\", PPND}}]], 
     Theorema`Provers`Common`ProofObj\\
ect`Private`Constraints[\[Bullet]sl[]], 
     \"proved\"]], Theorema`Provers`Com\\
mon`ProofObject`Private`MainProofSitu\\
ation[\[Bullet]lf[
     \"Proposition (conclusion): abc\", 
     \[Trademark]Iff[\[Trademark]And[A, B, C], A], 
     \[Bullet]finfo[]], \[Bullet]asml[
     \[Bullet]lf[
      \"Proposition (assumptions): ab\"\\
, \[Trademark]Implies[A, B], \[Bullet]finfo[\"\"]], 
     \[Bullet]lf[
      \"Proposition (assumptions): c\", 
      C, \[Bullet]finfo[\"\"]]], 
    \[Bullet]lkTab[{{\"ProversHistory\", {}}, 
      {\"PPND\", \[Bullet]lkTab[{}]}}]], 
   Theorema`Provers`Common`ProofObjec\\
t`Private`Constraints[\[Bullet]sl[]], 
   \"proved\"]], Theorema`Provers`Commo\\
n`ProofObject`Private`Constraints[
  \[Bullet]sl[]], \"proved\"]\
\>", "Output"]
}, Closed]],

Cell[BoxData[
    \(AndNode[\[IndentingNewLine]ProofInfo["\<InitialProofSituation\>", \
\[Bullet]lf["\<Proposition (conclusion): abc\>", \
\[Trademark]Iff[\[Trademark]And[A, B, C], 
            A], \[Bullet]finfo[]], \[Bullet]asml[\[Bullet]lf["\<Proposition \
(assumptions): ab\>", \[Trademark]Implies[A, 
              B], \[Bullet]finfo["\<\>"]], \[Bullet]lf["\<Proposition \
(assumptions): c\>", 
            C, \[Bullet]finfo["\<\>"]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<ProveEquivalence\>\
", \[Bullet]usedFormulae["\<Proposition (conclusion): abc\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<1\>", 
                A, \[Bullet]finfo[]], \[Bullet]lf["\<2\>", \[Trademark]And[A, 
                  B, C], \[Bullet]finfo[]], \[Bullet]lf["\<3\>", \
\[Trademark]And[A, B, C], \[Bullet]finfo[]], \[Bullet]lf["\<4\>", 
                A, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
AssumptionIsConjunction\>", \[Bullet]usedFormulae["\<2\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<2.1\>", 
                    A, \[Bullet]finfo[]], \[Bullet]lf["\<2.2\>", 
                    B, \[Bullet]finfo[]], \[Bullet]lf["\<2.3\>", 
                    C, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
ConclusionIsAssumption\>", \[Bullet]usedFormulae["\<1\>", "\<2.1\>"], \
\[Bullet]generatedFormulae[]], \[IndentingNewLine]Subgoals[], \
\[IndentingNewLine]"\<proved\>"]], \[IndentingNewLine]"\<proved\>"], \
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<ModusPonens\>", \
\[Bullet]usedFormulae["\<4\>", "\<Proposition (assumptions): ab\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<5\>", 
                    B, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<ProveConjunction\>\
", \[Bullet]usedFormulae["\<3\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<3.1\>", 
                        A, \[Bullet]finfo[]], \[Bullet]lf["\<3.2\>", 
                        B, \[Bullet]finfo[]], \[Bullet]lf["\<3.3\>", 
                        
                        C, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
ConclusionIsAssumption\>", \[Bullet]usedFormulae["\<3.1\>", "\<4\>"], \
\[Bullet]generatedFormulae[]], \[IndentingNewLine]Subgoals[], \
\[IndentingNewLine]"\<proved\>"], \[IndentingNewLine]AndNode[\
\[IndentingNewLine]ProofInfo["\<ConclusionIsAssumption\>", \
\[Bullet]usedFormulae["\<3.2\>", "\<5\>"], \[Bullet]generatedFormulae[]], \
\[IndentingNewLine]Subgoals[], \[IndentingNewLine]"\<proved\>"], \
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
ConclusionIsAssumption\>", \[Bullet]usedFormulae["\<3.3\>", "\<Proposition \
(assumptions): c\>"], \[Bullet]generatedFormulae[]], \
\[IndentingNewLine]Subgoals[], \[IndentingNewLine]"\<proved\>"]], \
\[IndentingNewLine]"\<proved\>"]], \[IndentingNewLine]"\<proved\>"]], \
\[IndentingNewLine]"\<proved\>"]], \[IndentingNewLine]"\<proved\>"]\)], \
"Input"],

Cell[CellGroupData[{

Cell["Prover", "Subsubsubsection"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Prover\)\)\(\ \)\)\
\),
          ButtonData:>{"Prover-propositional.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Predicate Logic", "Subsubsection"],

Cell[BoxData[
    \(SetGlobals[Prover \[Rule] PredicateProver]\)], "Input"],

Cell[BoxData[
    RowBox[{"Theorem", "[", 
      RowBox[{"\"\<Exists Distributivity\>\"", ",", "\n", "\t", GridBox[{
            {\(\((\[Exists] \+y\((P[y] \[Implies] 
                        Q)\))\) \[DoubleLeftRightArrow] \((\((\[ForAll] \+x P[
                          x])\) \[Implies] Q)\)\), "\"\<\[Exists]d\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Theorem (Exists Distributivity)"],

Cell[BoxData[
    \(\(Prove[
        Theorem["\<Exists Distributivity\>"], \
\[IndentingNewLine]ProverOptions \[Rule] {PNDLevel \[Rule] 0}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-ex-dis-1.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[BoxData[
    \(\(Prove[
        Theorem["\<Exists Distributivity\>"], \
\[IndentingNewLine]ProverOptions \[Rule] {PNDLevel \[Rule] 2, 
            BackChaining \[Rule] 
              True}, \[IndentingNewLine]TransformerOptions \[Rule] {branches \
\[Rule] Proved}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-ex-dis-2.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[BoxData[
    \(\(Prove[
        Theorem["\<Exists Distributivity\>"], \
\[IndentingNewLine]ProverOptions \[Rule] {PNDLevel \[Rule] 2, 
            BackChaining \[Rule] 
              True}, \[IndentingNewLine]TransformerOptions \[Rule] {branches \
\[Rule] {Proved, Pending, Failed, Disproved}}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-ex-dis-3.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Equational Reasoning", "Subsubsection"],

Cell[CellGroupData[{

Cell["Multiplication in Boolean Algebra is Idempotent", "Subsubsubsection"],

Cell[BoxData[
    \(SetGlobals[Prover \[Rule] EquationalProver]\)], "Input"],

Cell[BoxData[
    RowBox[{
      StyleBox["Axiom",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<Boolean algebra\>\"", ",", \(any[x, y, z]\), ",", 
        "\[IndentingNewLine]", GridBox[{
            {\(x + 0\  = \ x\), "\"\<1\>\""},
            {\(x + \((\(-x\))\)\  = \ 1\), "\"\<2\>\""},
            {\(x + y = \ y + x\), "\"\<3\>\""},
            {\(x*y\  = \ y*x\), "\"\<4\>\""},
            {\(x + \((y*z)\) = \((x + y)\)*\((x + z)\)\), "\"\<5\>\""},
            {\(x*\((y + z)\) = \((x*y)\) + \((x*z)\)\), "\"\<6\>\""},
            {\(x*1 = x\), "\"\<7\>\""},
            {\(x*\((\(-x\))\)\  = \ 0\), "\"\<8\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Axiom (Boolean algebra)"],

Cell[BoxData[
    \(Theorem["\<Goal\>", \ \[ForAll] \+u\((u*u\  = \ u)\)]\)], "Input",
  CellTags->"Theorem (Goal)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Prove[Theorem["\<Goal\>"], \ 
        using\  \[Rule] \ Axiom["\<Boolean algebra\>"]];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Proved ("\[InvisibleSpace]\(0.9620000000000015`\ \
Second\)\[InvisibleSpace]"). Output is being generated."\),
      SequenceForm[ "Proved (", 
        Times[ .96200000000000152, Second], "). Output is being generated."],
      Editable->False]], "Print"]
}, Open  ]],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-eq-bool-alg.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Combinatory logic problem formulated in higher-order", \
"Subsubsubsection"],

Cell[BoxData[
    \(Assumption["\<1\>", \ any[x], \ M[x]\  = \ x[x]]\)], "Input",
  CellTags->"Assumption (1)"],

Cell[BoxData[
    \(Assumption["\<2\>", \ 
      any[x, y, z], \ \(\(Q[x]\)[y]\)[z] = y[x[z]]]\)], "Input",
  CellTags->"Assumption (2)"],

Cell[BoxData[
    \(Proposition["\<Goal\>", \ \[Exists] \+y\((y = \ 
            combinator[y])\)]\)], "Input",
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Prove[Proposition["\<Goal\>"], \ 
        using\  -> \ {Assumption["\<1\>"], \ 
            Assumption["\<2\>"]}];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Proved ("\[InvisibleSpace]\(2.7439999999999998`\ \
Second\)\[InvisibleSpace]"). Output is being generated."\),
      SequenceForm[ "Proved (", 
        Times[ 2.7439999999999998, Second], "). Output is being generated."],
      Editable->False]], "Print"]
}, Open  ]],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-eq-combinator.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Proving with sequence variables", "Subsubsubsection"],

Cell["Example with completion", "Text"],

Cell[BoxData[
    RowBox[{
      StyleBox["Axiom",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<Sequence transformation\>\"", ",", \(any[x, y, z, S\&_]\), ",", 
        "\[IndentingNewLine]", GridBox[{
            {\(f[a, b, S\&_] = f[S\&_]\), "\"\<1\>\""},
            {\(f[x, y, z, S\&_] = f[z, y, x, S\&_]\), "\"\<2\>\""},
            {\(f[x, y, z, S\&_] = f[y, z, x, S\&_]\), "\"\<3\>\""},
            {\(f[x, y, S\&_] = f[y, x, S\&_]\), "\"\<4\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Axiom (Sequence transformation)"],

Cell[BoxData[
    \(Proposition["\<Goal\>", \[IndentingNewLine]\[ForAll] \+\(x, S\&_\)\(\
\[Exists] \+\(T\&_\)\(\[ForAll] \+z\((f[x, b, a, a, b, a, b, z, S\&_] = 
                f[z, T\&_])\)\)\)]\)], "Input",
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<Goal\>"]\), ",", 
          RowBox[{"using", "\[Rule]", " ", 
            RowBox[{
              StyleBox["Axiom",
                FontWeight->"Bold"], "[", "\"\<Sequence transformation\>\"", 
              "]"}]}]}], "]"}], ";"}]], "Input"],

Cell[BoxData[
    \(EqPr::"Equational Prover. Warning 2." \(\(:\)\(\ \)\) 
      "The goal or the knowledge base contains a sequence constant or a \
sequence variable (an expression with overbar). \n\tOnly \"MPOSV\" or \
\"LeftToRight\" ordering is allowed. \n\tIt will be set to \"MPOSV\" -- \
lexicographic extension of multiset path ordering for sequence variables (the \
same impact as using the option EqPrOrdering\[Rule]\"MPOSV\"). \n\tIf you \
would like to use \"LeftToRight\", set it manually using the option \
EqPrOrdering. Note that in this case termination of rewriting is not \
guaranteed."\)], "Message"],

Cell[BoxData[
    InterpretationBox[\("Proved ("\[InvisibleSpace]\(4.416`\ Second\)\
\[InvisibleSpace]"). Output is being generated."\),
      SequenceForm[ "Proved (", 
        Times[ 4.4160000000000004, Second], "). Output is being generated."],
      Editable->False]], "Print"]
}, Open  ]],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-eq-seq.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Domain Specific: Sets, Natural Numbers, Limits, Tuples", "Subsubsection"],

Cell["Are presented in more detail later.", "SmallText"]
}, Closed]],

Cell[CellGroupData[{

Cell["Using Special Engines", "Subsubsection"],

Cell[CellGroupData[{

Cell["Booleans of Equalities by Groebner Bases", "Subsubsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Formula",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<Test\>\"", ",", \(any[x, y]\), ",", "\n", "\t", GridBox[{
            {\(\((\ \ \((\(x\^2\) y - 3  x\ )\) \[NotEqual] 
                    0)\) \[Or] \((\((x\ y + x + y)\) \[NotEqual] 
                    0)\) \[Or] \n\t\t\((\((\((\(x\^2\) y + 3  x = 
                            0)\) \[Or] \((\((\(-2\)\ x\^2 + \(-7\)\ x\ y + 
                                x\^2\ y + 
                                x\^3\ y + \(-2\)\ y\^2 + \(-2\)\ x\ y\^2 + 
                                2\ x\^2\ y\^2)\) = 
                            0)\))\)\n\t \[And] \((\((x\^2 + \(-x\)\ y + 
                            x\^2\ y + \(-2\)\ y\^2 + \(-2\)\ x\ y\^2)\) = 
                        0)\))\)\), \(\(\ \ \ \ \ \ \ \ \ \ \)\("\<B1\>"\)\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Formula (Test)"],

Cell[BoxData[
    \(\(Prove[Formula["\<Test\>"], 
        by \[Rule] GroebnerBasesProver];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-groebner-bases.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Combinatorial Identities by Zeilberger / Paule", "Subsubsubsection",
  CellTags->{"Equational Properties of Addition", "Test"}],

Cell[TextData[StyleBox["Init",
  FontWeight->"Bold"]], "SmallText"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Needs["\<Theorema`Provers`PauleSchorn`Simplifier`\>"]\)], "Input"],

Cell[BoxData[
    \("Fast Zeilberger by Peter Paule and Markus Schorn. (V 2.4test)"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("Systembreaker = "\[InvisibleSpace]ENullspace\),
      SequenceForm[ "Systembreaker = ", ENullspace],
      Editable->False]], "Print"]
}, Open  ]],

Cell[BoxData[
    RowBox[{
      StyleBox["Built\[Dash]in",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<PauleSchorn\>\"", ",", "\n", "\t", GridBox[{
            {\(Built\[Dash]in["\<Quantifiers\>"]\)},
            {\(Built\[Dash]in["\<Operators\>"]\)},
            {\(Built\[Dash]in["\<Numbers\>"]\)},
            {\(Built\[Dash]in["\<Number Domains\>"]\)},
            {\(Built\[Dash]in["\<Forward Difference\>"]\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Built\[Dash]in (PauleSchorn)"],

Cell[BoxData[
    \(Use[Built\[Dash]in["\<PauleSchorn\>"]]\)], "Input"],

Cell[BoxData[
    \(FormatVariables[FontColor \[Rule] RGBColor[0, 0, 0.8], 
      FontWeight \[Rule] "\<Plain\>", 
      FontSlant \[Rule] "\<Italic\>"]\)], "Input"],

Cell[BoxData[
    \(FormatArbitraryButFixedConstants[FontColor \[Rule] RGBColor[0, 0.5, 0], 
      FontWeight \[Rule] "\<Plain\>", 
      FontSlant \[Rule] "\<Plain\>"]\)], "Input"],

Cell[TextData[StyleBox["A simple example:",
  FontWeight->"Bold"]], "SmallText"],

Cell[BoxData[
    RowBox[{
      StyleBox["Formula",
        FontWeight->"Bold"], 
      "[", \("\<Gauss\>", \[Sum]\+\(k = 0, \[Ellipsis], n\)k\), 
      "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Formula (Gauss)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[Formula["\<Gauss\>"], 
      by \[Rule] PauleSchorn\[Dash]Telescope]\)], "Input"],

Cell[BoxData[
    \("If `n' is a natural number, then:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        UnderscriptBox["\[Sum]", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], "=", "0"}], ",", "\[Ellipsis]", ",", 
            "n"}]], 
        StyleBox["k",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 0.8],
          Background->None]}], "=", \(1\/2\ n\ \((1 + n)\)\)}]], "Print"],

Cell[BoxData[
    \(1\/2\ n\ \((1 + n)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Prove[Formula["\<Gauss\>"], by \[Rule] PauleSchorn\[Dash]Telescope, 
        built\[Dash]in \[Rule] 
          Built\[Dash]in["\<PauleSchorn\>"]];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Theorem:\\n\"\>", "\[InvisibleSpace]", 
        InterpretationBox[
          
          RowBox[{"\<\"If \"\>", "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Plain",
              FontColor->RGBColor[0, 0.500008, 0],
              Background->None], "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", "\<\" is a natural number, then:\"\>"}],
          SequenceForm[ "If ", " ", 
            \[Bullet]fix[ n], " ", " is a natural number, then:"],
          Editable->False], "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            UnderscriptBox["\[Sum]", 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "=", "0"}], ",", "\[Ellipsis]", ",", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]}]], 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 0.8],
              Background->None]}], "=", 
          RowBox[{\(1\/2\), " ", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Plain",
              FontColor->RGBColor[0, 0.500008, 0],
              Background->None], " ", 
            RowBox[{"(", 
              RowBox[{"1", "+", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]}], ")"}]}]}]}],
      SequenceForm[ "Theorem:\n", 
        SequenceForm[ "If ", " ", 
          \[Bullet]fix[ n], " ", " is a natural number, then:"], "\n", 
        \[Trademark]Equal[ 
          \[Trademark]SumOf[ 
            \[Bullet]range[ 
              \[Bullet]integerRange[ 
                \[Bullet]var[ k], 0, 
                \[Bullet]fix[ n]]], True, 
            \[Bullet]var[ k]], 
          Times[ 
            Rational[ 1, 2], 
            \[Bullet]fix[ n], 
            Plus[ 1, 
              \[Bullet]fix[ n]]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Proof:\\n\"\>", "\[InvisibleSpace]", "\<\"Let \"\>", 
        "\[InvisibleSpace]", 
        SubscriptBox[
          StyleBox["\[CapitalDelta]",
            FontColor->RGBColor[0.549996, 0, 0.8]], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], 
        "\[InvisibleSpace]", "\<\" denote the forward difference operator in \
\"\>", "\[InvisibleSpace]", 
        StyleBox["k",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 0.8],
          Background->None], "\[InvisibleSpace]", "\<\" then\\n\"\>", 
        "\[InvisibleSpace]", "\<\"the Theorem follows from summing the \
equation\\n\"\>", "\[InvisibleSpace]", 
        RowBox[{
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["\[CapitalDelta]",
                FontColor->RGBColor[0.549996, 0, 0.8]], 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]], "[", 
            RowBox[{\(1\/2\), " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}], " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]}], "]"}]}], 
        "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", "\<\"over the range \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 0.8],
              Background->None], "=", "0"}], ",", "\[Ellipsis]", ",", 
          StyleBox["n",
            FontWeight->"Plain",
            FontSlant->"Plain",
            FontColor->RGBColor[0, 0.500008, 0],
            Background->None]}], "\[InvisibleSpace]", "\<\".\"\>"}],
      SequenceForm[ "Proof:\n", "Let ", 
        \[Trademark]\[CapitalDelta][ 
          \[Bullet]var[ k]], " denote the forward difference operator in ", 
        \[Bullet]var[ k], " then\n", 
        "the Theorem follows from summing the equation\n", 
        \[Trademark]Equal[ 
          \[Bullet]var[ k], 
          \[Trademark]\[CapitalDelta][ 
            \[Bullet]var[ k], 
            Times[ 
              Rational[ 1, 2], 
              Plus[ -1, 
                \[Bullet]var[ k]], 
              \[Bullet]var[ k]]]], "\n", "over the range ", 
        \[Bullet]displayAsRange[ 
          \[Bullet]range[ 
            \[Bullet]integerRange[ 
              \[Bullet]var[ k], 0, 
              \[Bullet]fix[ n]]]], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"The equation is routinely verifiable\\n\"\>", 
        "\[InvisibleSpace]", "\<\"by dividing the right\[Dash]hand side by \
the left\[Dash]hand side\\n\"\>", 
        "\[InvisibleSpace]", "\<\"and simplifying the resulting rational \
function\\n\"\>", "\[InvisibleSpace]", 
        FractionBox[
          RowBox[{
            RowBox[{\(1\/2\), " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}]}], "-", 
            RowBox[{\(1\/2\), " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}], " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]}]}], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], "\[InvisibleSpace]", "\<\"\\nto 1.\"\>"}],
      SequenceForm[ 
      "The equation is routinely verifiable\n", 
        "by dividing the right\[Dash]hand side by the left\[Dash]hand side\n",
         "and simplifying the resulting rational function\n", 
        \[Trademark]Divide[ 
          \[Trademark]Minus[ 
            Times[ 
              Rational[ 1, 2], 
              \[Bullet]var[ k], 
              Plus[ 1, 
                \[Bullet]var[ k]]], 
            Times[ 
              Rational[ 1, 2], 
              Plus[ -1, 
                \[Bullet]var[ k]], 
              \[Bullet]var[ k]]], 
          \[Bullet]var[ k]], "\nto 1."],
      Editable->False]], "Print"]
}, Open  ]],

Cell["\<\
The simplification can be done by called Mathematica's simplifier:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Simplify", "[", 
      RowBox[{
        FractionBox[
          RowBox[{
            RowBox[{\(1\/2\), " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}]}], "-", 
            RowBox[{\(1\/2\), " ", 
              RowBox[{"(", 
                RowBox[{\((\(-1\))\), "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}], " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]}]}], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], 
        ",", \(by -> ExternalSimplifier[System`Simplify]\)}], "]"}]], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[TextData[{
  StyleBox["A complex example",
    FontWeight->"Bold"],
  ", wich shows the mathematical power of the Gosper-Zeilberger-Paule-prover: \
The problem of constructing a closed form for the input expression in this \
example was an open problem for many years. The solution was given in P. \
Paule,  ",
  StyleBox["Computer-Solution of Problem 94-2,",
    FontSlant->"Italic"],
  " SIAM REVIEW Vol.37 (1995), 105-106."
}], "Text"],

Cell[BoxData[
    RowBox[{
      StyleBox["Formula",
        FontWeight->"Bold"], 
      "[", \("\<SIAM series\>", \n\t\[Sum]\+\(k = 1, \[Ellipsis], \
n\)\(\(\((\(-1\))\)\^\(k + 1\)\) \((4\ k + 1)\) \(\((2\ k)\)!\)\)\/\(\(2\^k\) \
\((2\ k - 1)\) \(\((k + 1)\)!\) \(2\^k\) \(k!\)\)\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Formula (SIAM series)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[Formula["\<SIAM series\>"], 
      by \[Rule] PauleSchorn\[Dash]Telescope]\)], "Input"],

Cell[BoxData[
    \("If `-1 + n' is a natural number, then:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        UnderscriptBox["\[Sum]", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], "=", "1"}], ",", "\[Ellipsis]", ",", 
            "n"}]], 
        RowBox[{"(", 
          FractionBox[
            RowBox[{
              SuperscriptBox[\((\(-1\))\), 
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "+", "1"}]], "*", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"4", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], "+", "1"}], ")"}], "*", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}]}], 
            RowBox[{
              SuperscriptBox["2", 
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None]], "*", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"2", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], "-", "1"}], ")"}], "*", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None], "+", "1"}], ")"}], "!"}], "*", 
              SuperscriptBox["2", 
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None]], "*", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}]}]], ")"}]}], 
      "=", \(1 + \((\(-1\))\) \(\(-1\)\^n\) \(2\^\(\(-2\)\ n\)\) \
\(\(n!\)\^\(-1\)\) \(\((2\ n)\)!\) \(\((1 + n)\)!\)\^\(-1\)\)}]], "Print"],

Cell[BoxData[
    \(1 + \((\(-1\))\) \(\(-1\)\^n\) \(2\^\(\(-2\)\ n\)\) \(\(n!\)\^\(-1\)\) \
\(\((2\ n)\)!\) \(\((1 + n)\)!\)\^\(-1\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Prove[Formula["\<SIAM series\>"], 
        by \[Rule] PauleSchorn\[Dash]Telescope, 
        built\[Dash]in \[Rule] 
          Built\[Dash]in["\<PauleSchorn\>"]];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Theorem:\\n\"\>", "\[InvisibleSpace]", 
        InterpretationBox[
          
          RowBox[{"\<\"If \"\>", "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", 
            RowBox[{\(-1\), "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Plain",
                FontColor->RGBColor[0, 0.500008, 0],
                Background->None]}], "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", "\<\" is a natural number, then:\"\>"}],
          SequenceForm[ "If ", " ", 
            Plus[ -1, 
              \[Bullet]fix[ n]], " ", " is a natural number, then:"],
          Editable->False], "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            UnderscriptBox["\[Sum]", 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "=", "1"}], ",", "\[Ellipsis]", ",", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]}]], 
            RowBox[{"(", 
              FractionBox[
                RowBox[{
                  RowBox[{"-", 
                    SuperscriptBox[\(-1\), 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]]}], " ", 
                  SuperscriptBox["2", 
                    RowBox[{\(-2\), " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]], " ", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{"2", " ", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}], ")"}], "!"}], " ", 
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      RowBox[{"4", " ", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}]}], ")"}]}], 
                RowBox[{
                  RowBox[{
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None], "!"}], " ", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{"1", "+", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}], ")"}], "!"}], " ", 
                  RowBox[{"(", 
                    RowBox[{\(-1\), "+", 
                      RowBox[{"2", " ", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}]}], ")"}]}]], ")"}]}], "=", 
          RowBox[{"1", "+", 
            RowBox[{\((\(-1\))\), 
              SuperscriptBox[\(-1\), 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]], 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Plain",
                    FontColor->RGBColor[0, 0.500008, 0],
                    Background->None]}]], 
              SuperscriptBox[
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Plain",
                    FontColor->RGBColor[0, 0.500008, 0],
                    Background->None], "!"}], \(-1\)], 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Plain",
                      FontColor->RGBColor[0, 0.500008, 0],
                      Background->None]}], ")"}], "!"}], 
              SuperscriptBox[
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Plain",
                        FontColor->RGBColor[0, 0.500008, 0],
                        Background->None]}], ")"}], "!"}], \(-1\)]}]}]}]}],
      SequenceForm[ "Theorem:\n", 
        SequenceForm[ "If ", " ", 
          Plus[ -1, 
            \[Bullet]fix[ n]], " ", " is a natural number, then:"], "\n", 
        \[Trademark]Equal[ 
          \[Trademark]SumOf[ 
            \[Bullet]range[ 
              \[Bullet]integerRange[ 
                \[Bullet]var[ k], 1, 
                \[Bullet]fix[ n]]], True, 
            Times[ -1, 
              Power[ -1, 
                \[Bullet]var[ k]], 
              Power[ 2, 
                Times[ -2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]var[ k]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 1, 
                Times[ 4, 
                  \[Bullet]var[ k]]]]], 
          Plus[ 1, 
            Times[ -1, 
              Power[ -1, 
                \[Bullet]fix[ n]], 
              Power[ 2, 
                Times[ -2, 
                  \[Bullet]fix[ n]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]fix[ n]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]fix[ n]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]fix[ n]]], -1]]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Proof:\\n\"\>", "\[InvisibleSpace]", "\<\"Let \"\>", 
        "\[InvisibleSpace]", 
        SubscriptBox[
          StyleBox["\[CapitalDelta]",
            FontColor->RGBColor[0.549996, 0, 0.8]], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], 
        "\[InvisibleSpace]", "\<\" denote the forward difference operator in \
\"\>", "\[InvisibleSpace]", 
        StyleBox["k",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 0.8],
          Background->None], "\[InvisibleSpace]", "\<\" then\\n\"\>", 
        "\[InvisibleSpace]", "\<\"the Theorem follows from summing the \
equation\\n\"\>", "\[InvisibleSpace]", 
        RowBox[{
          FractionBox[
            RowBox[{
              RowBox[{"-", 
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]]}], " ", 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}]], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  RowBox[{"4", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}], 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}]], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["\[CapitalDelta]",
                FontColor->RGBColor[0.549996, 0, 0.8]], 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]], "[", 
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\((\(-2\))\), 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\(-1\), "+", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}], ")"}]}]], "]"}]}], 
        "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", "\<\"over the range \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 0.8],
              Background->None], "=", "1"}], ",", "\[Ellipsis]", ",", 
          StyleBox["n",
            FontWeight->"Plain",
            FontSlant->"Plain",
            FontColor->RGBColor[0, 0.500008, 0],
            Background->None]}], "\[InvisibleSpace]", "\<\".\"\>"}],
      SequenceForm[ "Proof:\n", "Let ", 
        \[Trademark]\[CapitalDelta][ 
          \[Bullet]var[ k]], " denote the forward difference operator in ", 
        \[Bullet]var[ k], " then\n", 
        "the Theorem follows from summing the equation\n", 
        \[Trademark]Equal[ 
          Times[ -1, 
            Power[ -1, 
              \[Bullet]var[ k]], 
            Power[ 2, 
              Times[ -2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                \[Bullet]var[ k]], -1], 
            Factorial[ 
              Times[ 2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                Plus[ 1, 
                  \[Bullet]var[ k]]], -1], 
            Power[ 
              Plus[ -1, 
                Times[ 2, 
                  \[Bullet]var[ k]]], -1], 
            Plus[ 1, 
              Times[ 4, 
                \[Bullet]var[ k]]]], 
          \[Trademark]\[CapitalDelta][ 
            \[Bullet]var[ k], 
            Times[ 
              Power[ -1, 
                \[Bullet]var[ k]], 
              Power[ 2, 
                Plus[ 1, 
                  Times[ -2, 
                    \[Bullet]var[ k]]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]var[ k]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 1, 
                \[Bullet]var[ k]], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    \[Bullet]var[ k]]], -1]]]], "\n", "over the range ", 
        \[Bullet]displayAsRange[ 
          \[Bullet]range[ 
            \[Bullet]integerRange[ 
              \[Bullet]var[ k], 1, 
              \[Bullet]fix[ n]]]], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"The equation is routinely verifiable\\n\"\>", 
        "\[InvisibleSpace]", "\<\"by dividing the right\[Dash]hand side by \
the left\[Dash]hand side\\n\"\>", 
        "\[InvisibleSpace]", "\<\"and simplifying the resulting rational \
function\\n\"\>", "\[InvisibleSpace]", 
        FractionBox[
          RowBox[{
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\((\(-2\))\), 
                      RowBox[{"1", "+", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"2", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\(-1\), "+", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}]}], ")"}]}]], "-", 
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\((\(-2\))\), 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\(-1\), "+", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}], ")"}]}]]}], 
          FractionBox[
            RowBox[{
              RowBox[{"-", 
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]]}], " ", 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}]], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  RowBox[{"4", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}], 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}]]], 
        "\[InvisibleSpace]", "\<\"\\nto 1.\"\>"}],
      SequenceForm[ 
      "The equation is routinely verifiable\n", 
        "by dividing the right\[Dash]hand side by the left\[Dash]hand side\n",
         "and simplifying the resulting rational function\n", 
        \[Trademark]Divide[ 
          \[Trademark]Minus[ 
            Times[ 
              Power[ -1, 
                Plus[ 1, 
                  \[Bullet]var[ k]]], 
              Power[ 2, 
                Plus[ 1, 
                  Times[ -2, 
                    Plus[ 1, 
                      \[Bullet]var[ k]]]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Factorial[ 
                Times[ 2, 
                  Plus[ 1, 
                    \[Bullet]var[ k]]]], 
              Power[ 
                Factorial[ 
                  Plus[ 2, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 2, 
                \[Bullet]var[ k]], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    Plus[ 1, 
                      \[Bullet]var[ k]]]], -1]], 
            Times[ 
              Power[ -1, 
                \[Bullet]var[ k]], 
              Power[ 2, 
                Plus[ 1, 
                  Times[ -2, 
                    \[Bullet]var[ k]]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]var[ k]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 1, 
                \[Bullet]var[ k]], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    \[Bullet]var[ k]]], -1]]], 
          Times[ -1, 
            Power[ -1, 
              \[Bullet]var[ k]], 
            Power[ 2, 
              Times[ -2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                \[Bullet]var[ k]], -1], 
            Factorial[ 
              Times[ 2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                Plus[ 1, 
                  \[Bullet]var[ k]]], -1], 
            Power[ 
              Plus[ -1, 
                Times[ 2, 
                  \[Bullet]var[ k]]], -1], 
            Plus[ 1, 
              Times[ 4, 
                \[Bullet]var[ k]]]]], "\nto 1."],
      Editable->False]], "Print"]
}, Open  ]],

Cell[TextData[{
  "Again, the simplification can be accomplished by calling ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s simplifier:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Simplify", "[", 
      RowBox[{
        FractionBox[
          RowBox[{
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\(-2\), " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"2", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\((\(-1\))\), "+", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}]}], ")"}]}]], "-", 
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\(-2\), " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\((\(-1\))\), "+", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}], ")"}]}]]}], 
          FractionBox[
            RowBox[{
              RowBox[{"-", 
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]]}], " ", 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}]], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  RowBox[{"4", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}], 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{\((\(-1\))\), "+", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}]]], 
        ",", \(by -> ExternalSimplifier[System`FullSimplify]\)}], 
      "]"}]], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(FormatVariables[];\)\), "\n", 
    \(\(FormatArbitraryButFixedConstants[];\)\), "\n", 
    \(\(Use[];\)\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Using External Provers", "Subsubsection"],

Cell[BoxData[
    \(Needs["\<Theorema`Provers`UserProvers`External`\>"]\)], "Input"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<Equal Transitivity\>\"", ",", "\n", "\t", GridBox[{
            {\(\[ForAll] \+\(x, y, z\)\((\((\((x = y)\)\  \[And] \ \((y = 
                            z)\))\)\[DoubleLongRightArrow]\ \((x = z)\))\)\), 
              "\"\<==\[Implies]=\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Proposition (Equal Transitivity)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<Equal Transitivity\>"], 
        by \[Rule] Otter];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-otter.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Computing within ",
  StyleBox["Theorema",
    FontSlant->"Italic"],
  " "
}], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[{\ \(i\)\( | \+\(i \[Element] {1, 2, 3}\)\)}]\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        StyleBox["i",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], 
        UnderscriptBox["\[VerticalSeparator]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", \({1, 2, 3}\)}]]}], 
      "}"}]], "Output",
  CellTags->"sets"]
}, Open  ]],

Cell[BoxData[
    \(Use[\[LeftAngleBracket]Built\[Dash]in["\<Quantifiers\>"], 
        Built\[Dash]in["\<Connectives\>"], Built\[Dash]in["\<Numbers\>"], 
        Built\[Dash]in["\<Tuples\>"], 
        Built\[Dash]in["\<Sets\>"]\[RightAngleBracket]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[{\ \(i\)\( | \+\(i \[Element] {1, 2, 3}\)\)}]\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output",
  CellTags->"sets"]
}, Open  ]],

Cell[BoxData[
    \(ComputationalSession[]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({\ \(i\)\( | \+\(i \[Element] {1, 2, 3}\)\)}\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output",
  CellTags->"sets"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({\ \((2\ i)\)\( | \+\(i = 1, \[Ellipsis], 3\)\)}\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    \({2, 4, 6}\)], "Output",
  CellTags->"sets"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({i\( | \+\(i = 1, \[Ellipsis], 20\)\)is\[Dash]prime[i]}\)], "Input"],

Cell[BoxData[
    \({2, 3, 5, 7, 11, 13, 17, 19}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({2, 3, 1, 2, 3} = {1, 2, 3, 3, 3}\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({2, 3, 1, 2, 3}\)], "Input"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({1, 2, 3, 3, 3}\)], "Input"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({1, 2, 1, 3} = {2, 1, 4, 3}\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(2 \[Element] {2, 1, 2, 4}\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{\(any[is\[Dash]set[A, B]]\), "\[Colon]", "\n", "\t", GridBox[{
          {\(A\[CircleMinus]B := {\ 
                x\( | \+\(x \[Element] A\)\)\((x \[NotElement] B)\)}\)},
          {\(A \[SubsetEqual] 
                B := \[ForAll] \+\(x \[Element] A\)x \[Element] B\)}
          },
        ColumnAlignments->{Left}]}]], "Input",
  CellTags->"Line_60"],

Cell[CellGroupData[{

Cell[BoxData[
    \({2, 3, 1, 3}\[CircleMinus]{3, 5}\)], "Input"],

Cell[BoxData[
    \({1, 2}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftAngleBracket]2, 3, 1, 3\[RightAngleBracket]\[CircleMinus]{3, 
        5}\)], "Input"],

Cell[BoxData[
    \(\[LeftAngleBracket]2, 3, 1, 3\[RightAngleBracket]\[CircleMinus]{3, 
        5}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(2\[CircleMinus]3\)], "Input"],

Cell[BoxData[
    \(2\[CircleMinus]3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({3, 2, 5} \[SubsetEqual] {1, 2, 3, 4, 5}\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]set[{2, 3, 2}]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]set[{2, 3}]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]tuple[{2, 3, 2}]\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]tuple[\[LeftAngleBracket]2, 3, 
        2\[RightAngleBracket]]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftBracketingBar]\[LeftAngleBracket]2, 3, 
        2\[RightAngleBracket]\[RightBracketingBar]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftBracketingBar]{2, 3, 2}\[RightBracketingBar]\)], "Input"],

Cell[BoxData[
    \(2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftBracketingBar]\(-3\)\[RightBracketingBar]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[AE][{3}]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{\(any[is\[Dash]set[A]]\), "\[Colon]", "\n", "\t", GridBox[{
          {\(\[GothicCapitalP][A] := {{}} \[DoubleLeftArrow] \((A = {})\)\)},
          {\(\[GothicCapitalP][A] := 
              where[a = \[AE][A], 
                P = \[GothicCapitalP][A\[CircleMinus]{a}], \ \n\t
                P \[Union] {\(({a} \[Union] 
                          B)\)\( | \+\(B \[Element] P\)\)}]\)}
          },
        ColumnAlignments->{Left}]}]], "Input",
  CellTags->"Line_73"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{}]\)], "Input"],

Cell[BoxData[
    \({{}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{3}]\)], "Input"],

Cell[BoxData[
    \({{}, {3}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3}]\)], "Input"],

Cell[BoxData[
    \({{}, {1}, {3}, {1, 3}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3, 4, 8}]\)], "Input"],

Cell[BoxData[
    \({{}, {1}, {3}, {4}, {8}, {1, 3}, {1, 4}, {1, 8}, {3, 4}, {3, 8}, {4, 
        8}, {1, 3, 4}, {1, 3, 8}, {1, 4, 8}, {3, 4, 8}, {1, 3, 4, 
        8}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(EndComputationalSession[]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3, 4, 8}]\)], "Input"],

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3, 4, 8}]\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Use[]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Proving in Natural Style", "Section"],

Cell[CellGroupData[{

Cell["A Small Mathematical Theory", "Subsection"],

Cell[CellGroupData[{

Cell[TextData[{
  "A Couple of Individual Formulae in ",
  StyleBox["Theorema",
    FontSlant->"Italic"],
  " Syntax"
}], "Subsubsection"],

Cell[CellGroupData[{

Cell["A Definition", "Subsubsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<limit:\>", any[f, a], \n\t
      limit[f, a]\[DoubleLongLeftRightArrow]\ \(\(\[ForAll] \
\+\[Epsilon]\)\+\(\[Epsilon] > 0\)\(\[Exists] \+N\(\(\[ForAll] \+n\)\+\(n \
\[GreaterEqual] N\)\[LeftBracketingBar]f[n] - 
                    a\[RightBracketingBar] < \[Epsilon]\)\)\)\), 
      "]"}]], "Input",
  CellTags->"Definition (limit:)"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(limit\\)\\\" is similar to existing symbol \
\\\"\\!\\(Limit\\)\\\". \\!\\(\\*ButtonBox[\\\"Mehr\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellTags->"Definition (limit:)"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", "\"\<limit:\>\"", "]"}]], "Input"],

Cell[BoxData[
    RowBox[{"\[Bullet]def", "[", 
      RowBox[{"\<\"limit:\"\>", ",", 
        RowBox[{"\[Bullet]range", "[", 
          RowBox[{
            RowBox[{"\[Bullet]simpleRange", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ",", 
            RowBox[{"\[Bullet]simpleRange", "[", 
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "]"}], ",", "True", ",", 
        RowBox[{"\[Bullet]flist", "[", 
          RowBox[{"\[Bullet]lf", "[", 
            RowBox[{"\<\"\"\>", ",", 
              RowBox[{
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
                RowBox[{
                  UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], " "}]], 
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}]], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                      RowBox[{
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], " "}]], 
                    RowBox[{
                      UnderscriptBox[
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[GreaterEqual]", 
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]], 
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{
                                StyleBox["f",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "[", 
                                StyleBox["n",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              StyleBox["a",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}]}]}]}]}], "]"}], 
          "]"}]}], "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Bullet][\(\[ForAll] \+\[Epsilon]\)\+\(\[Epsilon] > 0\)\(\[Exists] \+N\
\(\(\[ForAll] \+n\)\+\(n \[GreaterEqual] N\)\[LeftBracketingBar]f[n] - 
                    a\[RightBracketingBar] < \[Epsilon]\)\)] // 
      InputForm\)], "Input"],

Cell["\<\
\[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[
   \[Bullet]var[\[Epsilon]]]], \[Trademark]Greater[
  \[Bullet]var[\[Epsilon]], 0], \[Trademark]Exists[
  \[Bullet]range[\[Bullet]simpleRange[
    \[Bullet]var[\[Trademark]N]]], True, 
  \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[
     \[Bullet]var[n]]], \[Trademark]GreaterEqual[
    \[Bullet]var[n], \[Bullet]var[\[Trademark]N]], 
   \[Trademark]Less[\[Trademark]BracketingBar[
     \[Trademark]Minus[f[\[Bullet]var[n]], a]], 
    \[Bullet]var[\[Epsilon]]]]]]\
\>", "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["A Proposition", "Subsubsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", \("\<limit of sum\>", 
      any[f, a, g, 
        b], \n\t\((limit[f, a] \[And] 
            limit[g, b])\)\ \ \ \ \  \[Implies] \ \ \ \ \ limit[f + g, 
          a + b]\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (limit of sum)"]
}, Closed]],

Cell[CellGroupData[{

Cell["Prerequisite Knowledge", "Subsubsubsection",
  CellTags->"Proposition (limit of sum)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<+:\>", 
      any[f, g, x], \n\t\((f + g)\)[x] = f[x] + g[x]\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Definition (+:)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Lemma",
        FontWeight->"Bold"], "[", \("\<|+|\>", 
      any[x, y, a, 
        b, \[Delta], \[Epsilon]], \n\t\((\[LeftBracketingBar]\((x + 
                    y)\) - \((a + 
                    b)\)\[RightBracketingBar] < \((\[Delta] + \
\[Epsilon])\))\)\ \ \ \ \[DoubleLongLeftArrow]\ \ \ \((\[LeftBracketingBar]x \
- a\[RightBracketingBar] < \[Delta] \[And] \[LeftBracketingBar]y - 
                  b\[RightBracketingBar] < \[Epsilon])\)\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Lemma (|+|)"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Lemma",
        FontWeight->"Bold"], "[", \("\<max\>", any[m, M1, M2], \n\t
      m \[GreaterEqual] 
          max[M1, M2]\ \ \ \ \  \[Implies] \ \ \ \ \ \((m \[GreaterEqual] 
              M1 \[And] m \[GreaterEqual] M2)\)\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Lemma (max)"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(max\\)\\\" is similar to existing symbol \
\\\"\\!\\(Max\\)\\\". \\!\\(\\*ButtonBox[\\\"Mehr\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellTags->"Lemma (max)"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Composition of a Knowledge Base", "Subsubsection",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "Limit of a Sequence", "limit of sum", "lim sum", "max-greater", 
    "maximum", "sum of sequences"}],

Cell[BoxData[
    RowBox[{
      StyleBox["Theory",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<limit\>\"", ",", "\n", "\t", GridBox[{
            {
              RowBox[{
                StyleBox["Definition",
                  FontWeight->"Bold"], "[", "\"\<limit:\>\"", "]"}]},
            {
              RowBox[{
                StyleBox["Definition",
                  FontWeight->"Bold"], "[", "\"\<+:\>\"", "]"}]},
            {
              RowBox[{
                StyleBox["Lemma",
                  FontWeight->"Bold"], "[", "\"\<|+|\>\"", "]"}]},
            {
              RowBox[{
                StyleBox["Lemma",
                  FontWeight->"Bold"], "[", "\"\<max\>\"", "]"}]}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Theory (limit)"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Theory",
        FontWeight->"Bold"], "[", "\"\<limit\>\"", "]"}]], "Input"],

Cell[BoxData[
    RowBox[{"\[Bullet]thr", "[", 
      RowBox[{"\<\"limit\"\>", ",", \(\[Bullet]range[]\), ",", "True", ",", 
        RowBox[{"\[Bullet]flist", "[", 
          RowBox[{
            RowBox[{"\[Bullet]def", "[", 
              RowBox[{"\<\"limit:\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["f",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{"limit", "[", 
                          RowBox[{
                            StyleBox["f",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], ",", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "]"}], 
                        "\[DoubleLeftRightArrow]", 
                        RowBox[{
                          UnderscriptBox[
                            UnderscriptBox["\[ForAll]", 
                              RowBox[{
                                StyleBox["\[Epsilon]",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], " "}]], 
                            RowBox[{
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], ">", "0"}]], 
                          RowBox[{
                            UnderscriptBox["\[Exists]", 
                              RowBox[{
                                StyleBox["N",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], " "}]], 
                            RowBox[{
                              UnderscriptBox[
                                UnderscriptBox["\[ForAll]", 
                                  RowBox[{
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], " "}]], 
                                RowBox[{
                                  StyleBox["n",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "\[GreaterEqual]", 
                                  StyleBox["N",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}]], 
                              RowBox[{"(", 
                                RowBox[{
                                  RowBox[{"\[LeftBracketingBar]", 
                                    RowBox[{
                                      RowBox[{
                                        StyleBox["f",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "[", 
                                        StyleBox["n",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "]"}], "-", 
                                      StyleBox["a",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None]}], 
                                    "\[RightBracketingBar]"}], "<", 
                                  StyleBox["\[Epsilon]",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}]}]}]}]}]}], 
                    "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"\[Bullet]def", "[", 
              RowBox[{"\<\"+:\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["f",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["g",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"(", 
                            RowBox[{
                              StyleBox["f",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "+", 
                              StyleBox["g",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], ")"}], "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", 
                        RowBox[{
                          RowBox[{
                            StyleBox["f",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "+", 
                          RowBox[{
                            StyleBox["g",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}]}]}], "]"}], "]"}]}], 
              "]"}], ",", 
            RowBox[{"\[Bullet]lma", "[", 
              RowBox[{"\<\"|+|\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["\[Delta]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox["x",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  StyleBox["y",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}], "-", 
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  StyleBox["b",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          RowBox[{
                            StyleBox["\[Delta]",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "+", 
                            StyleBox["\[Epsilon]",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[DoubleLeftArrow]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  StyleBox["x",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Delta]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[And]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  StyleBox["y",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "-", 
                                  StyleBox["b",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}], "]"}], 
                  "]"}]}], "]"}], ",", 
            RowBox[{"\[Bullet]lma", "[", 
              RowBox[{"\<\"max\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["M1",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["M2",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{
                          StyleBox["m",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[GreaterEqual]", 
                          RowBox[{"max", "[", 
                            RowBox[{
                              StyleBox["M1",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], ",", 
                              StyleBox["M2",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "]"}]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[GreaterEqual]", 
                            StyleBox["M1",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[GreaterEqual]", 
                            StyleBox["M2",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}]}]}], "]"}], "]"}]}], 
              "]"}]}], "]"}]}], "]"}]], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["The PCS Prover", "Subsection"],

Cell[CellGroupData[{

Cell["Main Idea of the PCS Prover", "Subsubsection"],

Cell["\<\
The PCS proof method (BB 2000) aims at generating \"natural\" proofs.\
\>", "Text"],

Cell["\<\
Roughly, the PCS prover proceeds by iteratively going through the following \
three phases:\
\>", "Text"],

Cell[TextData[{
  StyleBox["The",
    FontSlant->"Italic"],
  " ",
  StyleBox["P-phase (\"Proving\" phase)",
    FontSlant->"Italic"]
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{51.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[{
  StyleBox["The",
    FontSlant->"Italic"],
  " ",
  StyleBox["C-phase (\"Computing\" phase)",
    FontSlant->"Italic"]
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{51.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[{
  StyleBox["The",
    FontSlant->"Italic"],
  " ",
  StyleBox["S-phase (\"Solving\" phase)",
    FontSlant->"Italic"]
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{51.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
It reduces proving of formulae with \"alternating quantifiers\" to solving. \
\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Proof Generated by the PCS Prover", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Prove[Proposition["\<limit of sum\>"], 
        using \[Rule] Theory["\<limit\>"], by \[Rule] PCS];\)\)], "Input",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "max-greater", "maximum", "sum of sequences"}],

Cell[BoxData[
    RowBox[{\(Experimental`CylindricalAlgebraicDecomposition::"deprec"\), \
\(\(:\)\(\ \)\), "\<\"Experimental`CylindricalAlgebraicDecomposition will not \
be supported in future versions of Mathematica. Use \
System`CylindricalDecomposition instead. \\!\\(\\*ButtonBox[\\\"Mehr\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"Experimental`.`CylindricalAlgebraicDecomposition::deprec\\\"]\
\\)\"\>"}]], "Message",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "max-greater", "maximum", "sum of sequences"}]
}, Open  ]],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-PCS-simple.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[BoxData[
    \(\(Transform[$TmaProofObject, by -> ProofSimplifier, 
        TransformerOptions \[Rule] {branches \[Rule] {Proved, Pending, 
                Failed, Disproved}}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-PCS-full.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["The Set Theory Prover", "Subsection"],

Cell[TextData[{
  "The ",
  StyleBox["Theorema",
    FontSlant->"Italic"],
  " set theory prover is also based on the PCS principle. In addition to the \
predicate logic natural deduction inference rules it incorporates special \
inference rules for the basic notions of set theory, in particular the \
special set quantifiers."
}], "Text"],

Cell[CellGroupData[{

Cell["Classes of Equivalence: Definitions", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<reflexivity\>", 
      any[\(\[Tilde]\)\(\(,\)\(A\)\)], \
\[IndentingNewLine]is\[Dash]reflexive\_A[ \[Tilde] ] : \[NegativeThickSpace]\
\[NegativeMediumSpace]\(\(\[DoubleLeftRightArrow]\)\(\[ForAll] \+\(x \
\[Element] A\)x \[Tilde] x\)\)\), "]"}]], "Input",
  CellTags->"Definition (reflexivity)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<symmetry\>", 
      any[\(\[Tilde]\)\(\(,\)\(A\)\)], \
\[IndentingNewLine]is\[Dash]symmetric\_A[ \[Tilde] ] : \[NegativeThickSpace]\
\[NegativeMediumSpace]\(\(\[DoubleLeftRightArrow]\)\(\[ForAll] \+\(x, y \
\[Element] A\)\((x \[Tilde] y \[Implies] y \[Tilde] x)\)\)\)\), 
      "]"}]], "Input",
  CellTags->"Definition (symmetry)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<transitivity\>", 
      any[\(\[Tilde]\)\(\(,\)\(A\)\)], \[IndentingNewLine]is\[Dash]transitive\
\_A[ \[Tilde] ] : \[NegativeThickSpace]\[NegativeMediumSpace]\(\(\
\[DoubleLeftRightArrow]\)\(\[ForAll] \+\(x, y, z \[Element] A\)\((x \[Tilde] 
                    y \[And] y \[Tilde] z \[Implies] x \[Tilde] z)\)\)\)\), 
      "]"}]], "Input",
  CellTags->"Definition (transitivity)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<equivalence\>\"", ",", \(any[\(\[Tilde]\)\(\(,\)\(A\)\)]\), ",", 
        "\[IndentingNewLine]", 
        RowBox[{\(is\[Dash]equivalence\_A[ \[Tilde] ]\), ":", 
          "\[NegativeThickSpace]\[NegativeMediumSpace]", 
          RowBox[{"\[DoubleLeftRightArrow]", 
            RowBox[{
              StyleBox["\[And]",
                Background->None], 
              RowBox[{
                StyleBox["{",
                  SpanMaxSize->Infinity,
                  Background->None], 
                StyleBox[GridBox[{
                      {\(is\[Dash]reflexive\_A[ \[Tilde] ]\)},
                      {\(is\[Dash]symmetric\_A[ \[Tilde] ]\)},
                      {\(is\[Dash]transitive\_A[ \[Tilde] ]\)}
                      },
                    ColumnAlignments->{Left}],
                  Background->None], 
                StyleBox["}",
                  ShowContents->False,
                  Background->None]}]}]}]}]}], " ", "]"}]], "Input",
  CellTags->"Definition (equivalence)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<class\>", 
      any[x, \(\(\[Tilde]\)\(\(,\)\(A\)\)\)], \[IndentingNewLine]class\_\(A,  \
\[Tilde] \)[
          x] := {a \[Element] A \[VerticalSeparator] 
            a \[Tilde] x \[And] x \[Element] A}\), "]"}]], "Input",
  CellTags->"Definition (class)"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Proof", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", \("\<equal classes\>", 
      any[x \[Element] A, y \[Element] A, \(\(\[Tilde]\)\(\(,\)\(A\)\)\)], 
      with[is\[Dash]equivalence\_A[ \[Tilde] ]], \[IndentingNewLine]x \
\[Tilde] y \[Implies] \((class\_\(A,  \[Tilde] \)[x] = 
            class\_\(A,  \[Tilde] \)[y])\)\), "]"}]], "Input",
  CellTags->"Proposition (equal classes)"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<equal classes\>"]\), ",", 
          "\[IndentingNewLine]", \(using \[Rule] \
\[LeftAngleBracket]Definition["\<equivalence\>"], 
              Definition["\<transitivity\>"], Definition["\<symmetry\>"], 
              Definition["\<class\>"]\[RightAngleBracket]\), ",", 
          "\[IndentingNewLine]", \(by \[Rule] SetTheoryPCSProver\), ",", 
          "\[IndentingNewLine]", \(TransformerOptions \[Rule] {branches \
\[Rule] Proved, steps \[Rule] Useful}\), ",", "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {GRWTarget \[Rule] {"\<goal\>", \
"\<kb\>"}, AllowIntroduceQuantifiers \[Rule] True, 
                UseCyclicRules \[Rule] True, 
                DisableProver \[Rule] {STC, PND}, ApplyBuiltIns \[Rule] {}}\),
            
            "UnHighlightedText"], 
          StyleBox[",",
            "UnHighlightedText"], 
          StyleBox[\(SearchDepth \[Rule] 50\),
            "UnHighlightedText"]}], "]"}], ";"}]], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-set-theory.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["S-Decomposition", "Subsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<conv of sum\>\"", ",", "\n", "\t", GridBox[{
            {\(\[ForAll] \+\(f, g\)\((\((\((conv[f] \[And] 
                          conv[g])\)\ \[DoubleLongRightArrow]\ 
                      conv[f\[CirclePlus]g])\))\)\), "\"\<l+\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Proposition (conv of sum)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<conv\>\"", ",", \(any[f]\), ",", "\n", "\t", GridBox[{
            {\(conv[
                  f]\  : \[NegativeMediumSpace]\[NegativeThickSpace]\(\(\
\[DoubleLeftRightArrow]\)\(\[Exists] \+a\(\[ForAll] \+\(\[Epsilon] > 0\)\(\
\[Exists] \+N\(\(\(\ \)\(\[ForAll]\)\)\+\(n \[GreaterEqual] 
                                N\)\) \((\[LeftBracketingBar]f[n] - 
                                  a\[RightBracketingBar] < \
\[Epsilon])\)\)\)\)\)\), "\"\<c:\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (conv)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<sum of sequences\>\"", ",", \(any[f, g, x]\), ",", "\n", "\t", 
        GridBox[{
            {\(\((\((f\[CirclePlus]g)\)[x])\) := \((f[x] + g[x])\)\), 
              "\"\<\[CirclePlus]:\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (sum of sequences)"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-conv-plus.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["An Induction Prover and the Cascade ", "Subsection"],

Cell[CellGroupData[{

Cell["Inductive Definition of Addition", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<addition\>\"", ",", \(any[m, n]\), ",", "\n", "\t", GridBox[{
            {\(m + 0 = m\)},
            {\(m + \(n\^+\) = \(\((m + n)\)\^+\)\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (addition)"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Failing Proof", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<commutativity of addition\>\"", ",", \(any[m, n]\), ",", "\n", 
        "\t", GridBox[{
            {\(m + n = n + m\), "\"\< + = \>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Proposition (commutativity of addition)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<commutativity of addition\>"], \n\t
        using \[Rule] \[LeftAngleBracket]Definition["\<addition\>"]\
\[RightAngleBracket], \n\tby \[Rule] NNEqIndProver, \n\t
        ProverOptions \[Rule] {TermOrder \[Rule] LeftToRight}, 
        TransformerOptions \[Rule] {branches \[Rule] {Proved, Pending, 
                Failed, Disproved}}];\)\)], "Input",
  CellTags->"Proposition (commutativity of addition)"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-0-fail.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell["Fails at (14).", "SmallText"]
}, Closed]],

Cell[CellGroupData[{

Cell["The Cascade", "Subsubsection"],

Cell[BoxData[
    \(\(Prove[Proposition["\<commutativity of addition\>"], \n\t
        using \[Rule] Definition["\<addition\>"], 
        by \[Rule] Cascade[NNEqIndProver, ConjectureGenerator], 
        ProverOptions \[Rule] {TermOrder \[Rule] LeftToRight}, 
        TransformerOptions \[Rule] {branches \[Rule] {Proved, Pending, 
                Failed, Disproved}}];\)\)], "Input",
  CellTags->{
  "Addition", "assoc+", "comm*", "comm+", "left addition", "Multiplication"}],\


Cell[TextData[{
  "  ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-1-zero-left.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]],
  "                      ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-2-failed.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]],
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-3-succ-left.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]],
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-4-success.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Math Knowledge at Work", "Section"],

Cell[CellGroupData[{

Cell["Theory of Tuples", "Subsection"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(TupleTheory\)\)\(\ \
\)\)\),
          ButtonData:>{"TupleTheory.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Sorting: Programming in Predicate Logic", "Subsection"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \
\)\(SortingTheory\)\)\(\ \)\)\),
          ButtonData:>{"SortingTheory.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Verified Development of Sorting: Program Synthesis", "Subsection"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(SortingDevelopment\
\)\)\(\ \)\)\),
          ButtonData:>{"SortingDevelopment.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 693}},
AutoGeneratedPackage->None,
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{1016, 666},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5,
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of all cells in \
a given style.  Make modifications to any definition using commands in the \
Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    AutoItalicWords->{"Theorema"},
    LimitsPositioningTokens->{},
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold",
    Background->RGBColor[0, 1, 1]],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {12, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {20, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24,
    Background->RGBColor[0, 1, 1]],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {20, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {20, 15}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {20, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 8}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold",
    Background->RGBColor[0, 1, 1]],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold",
    FontColor->GrayLevel[0],
    Background->RGBColor[0.4, 1, 1]],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22,
    Background->RGBColor[0.6, 1, 1]],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold",
    Background->RGBColor[0.700008, 1, 1]],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]],
  
  Cell[StyleData["Subsubsubsection"],
    CellDingbat->"\[EmptySmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 60},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold",
    Background->RGBColor[0.900008, 1, 1]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    TextJustification->1,
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output to the \
kernel.  Be careful when modifying, renaming, or removing these styles, \
because the front end associates special meanings with these style names. \
Some attributes for these styles are actually set in FormatType Styles (in \
the last section of this stylesheet). \
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontFamily->"Times New Roman",
    FontWeight->"Plain",
    FontSlant->"Plain",
    FontTracking->"Plain",
    Background->RGBColor[1, 1, 0],
    FontVariations->{"Underline"->False,
    "Outline"->False,
    "Shadow"->False}],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output"],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageMargins->{{38, Inherited}, {Inherited, 0}},
    Magnification->0.6],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9,
    Magnification->0.8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    ScriptLevel->0,
    SingleLetterItalics->True,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard ButtonFunctions, for use \
in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext ButtonBoxes.  The \
\"Hyperlink\" style is for links within the same Notebook, or between \
Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line help \
system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder objects in \
palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->PrimaryPlaceholder,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles of most \
cells.  If a cell's FormatType matches the name of one of the styles defined \
below, then that style is applied between the cell's style and its own \
options. This is particularly true of Input and Output.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontSize->12,
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{0.6, 1},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an inline cell \
within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Open  ]]
  }, Open  ]]
  }]
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Built\[Dash]in (PauleSchorn)"->{
    Cell[2108, 65, 542, 16, 183, "Subsubtitle",
      CellTags->"Built\[Dash]in (PauleSchorn)"],
    Cell[33850, 1015, 541, 12, 273, "Input",
      CellTags->"Built\[Dash]in (PauleSchorn)"]},
  "Definition (+)"->{
    Cell[3909, 140, 346, 9, 187, "Input",
      CellTags->"Definition (+)"]},
  "Lemma (0+)"->{
    Cell[4563, 162, 174, 5, 139, "Input",
      CellTags->"Lemma (0+)"]},
  "Proposition (commutativity of addition)"->{
    Cell[4740, 169, 427, 10, 173, "Input",
      CellTags->"Proposition (commutativity of addition)"],
    Cell[126808, 3604, 380, 10, 139, "Input",
      CellTags->"Proposition (commutativity of addition)"],
    Cell[127191, 3616, 448, 7, 241, "Input",
      CellTags->"Proposition (commutativity of addition)"]},
  "Proposition (conclusion)"->{
    Cell[9964, 367, 398, 10, 139, "Input",
      CellTags->"Proposition (conclusion)"]},
  "Proposition (assumptions)"->{
    Cell[10365, 379, 388, 10, 185, "Input",
      CellTags->"Proposition (assumptions)"]},
  "Theorem (Exists Distributivity)"->{
    Cell[23757, 706, 437, 8, 178, "Input",
      CellTags->"Theorem (Exists Distributivity)"]},
  "Axiom (Boolean algebra)"->{
    Cell[26062, 779, 746, 17, 408, "Input",
      CellTags->"Axiom (Boolean algebra)"]},
  "Theorem (Goal)"->{
    Cell[26811, 798, 116, 2, 122, "Input",
      CellTags->"Theorem (Goal)"]},
  "Assumption (1)"->{
    Cell[27789, 832, 111, 2, 105, "Input",
      CellTags->"Assumption (1)"]},
  "Assumption (2)"->{
    Cell[27903, 836, 137, 3, 105, "Input",
      CellTags->"Assumption (2)"]},
  "Proposition (Goal)"->{
    Cell[28043, 841, 145, 3, 126, "Input",
      CellTags->"Proposition (Goal)"],
    Cell[29690, 893, 244, 4, 180, "Input",
      CellTags->"Proposition (Goal)"]},
  "Axiom (Sequence transformation)"->{
    Cell[29099, 878, 588, 13, 273, "Input",
      CellTags->"Axiom (Sequence transformation)"]},
  "Formula (Test)"->{
    Cell[31851, 957, 962, 18, 287, "Input",
      CellTags->"Formula (Test)"]},
  "Equational Properties of Addition"->{
    Cell[33244, 994, 133, 1, 68, "Subsubsubsection",
      CellTags->{"Equational Properties of Addition", "Test"}]},
  "Test"->{
    Cell[33244, 994, 133, 1, 68, "Subsubsubsection",
      CellTags->{"Equational Properties of Addition", "Test"}]},
  "Formula (Gauss)"->{
    Cell[34903, 1045, 232, 7, 114, "Input",
      CellTags->"Formula (Gauss)"]},
  "Formula (SIAM series)"->{
    Cell[46173, 1363, 368, 8, 189, "Input",
      CellTags->"Formula (SIAM series)"]},
  "Proposition (Equal Transitivity)"->{
    Cell[83218, 2338, 474, 10, 132, "Input",
      CellTags->"Proposition (Equal Transitivity)"]},
  "sets"->{
    Cell[84266, 2377, 106, 2, 131, "Input",
      CellTags->"sets"],
    Cell[84375, 2381, 435, 14, 107, "Output",
      CellTags->"sets"],
    Cell[85111, 2406, 106, 2, 131, "Input",
      CellTags->"sets"],
    Cell[85220, 2410, 63, 2, 81, "Output",
      CellTags->"sets"],
    Cell[85378, 2420, 97, 2, 131, "Input",
      CellTags->"sets"],
    Cell[85478, 2424, 63, 2, 81, "Output",
      CellTags->"sets"],
    Cell[85578, 2431, 101, 2, 130, "Input",
      CellTags->"sets"],
    Cell[85682, 2435, 63, 2, 81, "Output",
      CellTags->"sets"]},
  "Line_60"->{
    Cell[86631, 2494, 381, 8, 215, "Input",
      CellTags->"Line_60"]},
  "Line_73"->{
    Cell[88932, 2616, 493, 10, 257, "Input",
      CellTags->"Line_73"]},
  "Definition (limit:)"->{
    Cell[90825, 2706, 430, 9, 193, "Input",
      CellTags->"Definition (limit:)"],
    Cell[91258, 2717, 393, 6, 76, "Message",
      CellTags->"Definition (limit:)"]},
  "Proposition (limit of sum)"->{
    Cell[96694, 2852, 354, 9, 139, "Input",
      CellTags->"Proposition (limit of sum)"],
    Cell[97085, 2866, 92, 1, 68, "Subsubsubsection",
      CellTags->"Proposition (limit of sum)"]},
  "Definition (+:)"->{
    Cell[97180, 2869, 237, 6, 139, "Input",
      CellTags->"Definition (+:)"]},
  "Lemma (|+|)"->{
    Cell[97420, 2877, 568, 12, 139, "Input",
      CellTags->"Lemma (|+|)"]},
  "Lemma (max)"->{
    Cell[98013, 2893, 344, 8, 139, "Input",
      CellTags->"Lemma (max)"],
    Cell[98360, 2903, 381, 6, 76, "Message",
      CellTags->"Lemma (max)"]},
  "2-ary limit"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "2-ary limit of sum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "3-ary limit"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "3-ary limit of sum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "4-ary limit"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "4-ary limit of sum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "distance of sum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "fsum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "Limit of a Sequence"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}]},
  "limit of sum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}]},
  "lim sum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}]},
  "max-greater"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "maximum"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "sum of sequences"->{
    Cell[98802, 2916, 322, 5, 75, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[117309, 3335, 347, 6, 105, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}],
    Cell[117659, 3343, 684, 11, 110, "Message",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "Theory (limit)"->{
    Cell[99127, 2923, 839, 24, 259, "Input",
      CellTags->"Theory (limit)"]},
  "Definition (reflexivity)"->{
    Cell[119640, 3402, 392, 8, 172, "Input",
      CellTags->"Definition (reflexivity)"]},
  "Definition (symmetry)"->{
    Cell[120035, 3412, 426, 9, 177, "Input",
      CellTags->"Definition (symmetry)"]},
  "Definition (transitivity)"->{
    Cell[120464, 3423, 477, 9, 177, "Input",
      CellTags->"Definition (transitivity)"]},
  "Definition (equivalence)"->{
    Cell[120944, 3434, 1115, 27, 223, "Input",
      CellTags->"Definition (equivalence)"]},
  "Definition (class)"->{
    Cell[122062, 3463, 354, 8, 140, "Input",
      CellTags->"Definition (class)"]},
  "Proposition (equal classes)"->{
    Cell[122488, 3478, 424, 8, 174, "Input",
      CellTags->"Proposition (equal classes)"]},
  "Proposition (conv of sum)"->{
    Cell[124342, 3527, 458, 10, 157, "Input",
      CellTags->"Proposition (conv of sum)"]},
  "Definition (conv)"->{
    Cell[124803, 3539, 669, 14, 153, "Input",
      CellTags->"Definition (conv)"]},
  "Definition (sum of sequences)"->{
    Cell[125475, 3555, 425, 11, 115, "Input",
      CellTags->"Definition (sum of sequences)"]},
  "Definition (addition)"->{
    Cell[126361, 3587, 367, 10, 187, "Input",
      CellTags->"Definition (addition)"]},
  "Addition"->{
    Cell[128035, 3642, 475, 8, 241, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "assoc+"->{
    Cell[128035, 3642, 475, 8, 241, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "comm\[RawStar]"->{
    Cell[128035, 3642, 475, 8, 241, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "comm+"->{
    Cell[128035, 3642, 475, 8, 241, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "left addition"->{
    Cell[128035, 3642, 475, 8, 241, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "Multiplication"->{
    Cell[128035, 3642, 475, 8, 241, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Built\[Dash]in (PauleSchorn)", 155591, 4621},
  {"Definition (+)", 155805, 4626},
  {"Lemma (0+)", 155901, 4629},
  {"Proposition (commutativity of addition)", 156022, 4632},
  {"Proposition (conclusion)", 156369, 4639},
  {"Proposition (assumptions)", 156491, 4642},
  {"Theorem (Exists Distributivity)", 156621, 4645},
  {"Axiom (Boolean algebra)", 156748, 4648},
  {"Theorem (Goal)", 156859, 4651},
  {"Assumption (1)", 156960, 4654},
  {"Assumption (2)", 157061, 4657},
  {"Proposition (Goal)", 157166, 4660},
  {"Axiom (Sequence transformation)", 157370, 4665},
  {"Formula (Test)", 157489, 4668},
  {"Equational Properties of Addition", 157610, 4671},
  {"Test", 157740, 4674},
  {"Formula (Gauss)", 157881, 4677},
  {"Formula (SIAM series)", 157991, 4680},
  {"Proposition (Equal Transitivity)", 158118, 4683},
  {"sets", 158229, 4686},
  {"Line_60", 158795, 4703},
  {"Line_73", 158883, 4706},
  {"Definition (limit:)", 158984, 4709},
  {"Proposition (limit of sum)", 159188, 4714},
  {"Definition (+:)", 159403, 4719},
  {"Lemma (|+|)", 159503, 4722},
  {"Lemma (max)", 159600, 4725},
  {"2-ary limit", 159773, 4730},
  {"2-ary limit of sum", 160705, 4749},
  {"3-ary limit", 161630, 4768},
  {"3-ary limit of sum", 162562, 4787},
  {"4-ary limit", 163487, 4806},
  {"4-ary limit of sum", 164419, 4825},
  {"distance of sum", 165348, 4844},
  {"fsum", 166266, 4863},
  {"Limit of a Sequence", 167199, 4882},
  {"limit of sum", 167558, 4889},
  {"lim sum", 167912, 4896},
  {"max-greater", 168270, 4903},
  {"maximum", 169191, 4922},
  {"sum of sequences", 170121, 4941},
  {"Theory (limit)", 171049, 4960},
  {"Definition (reflexivity)", 171162, 4963},
  {"Definition (symmetry)", 171282, 4966},
  {"Definition (transitivity)", 171403, 4969},
  {"Definition (equivalence)", 171527, 4972},
  {"Definition (class)", 171646, 4975},
  {"Proposition (equal classes)", 171766, 4978},
  {"Proposition (conv of sum)", 171893, 4981},
  {"Definition (conv)", 172011, 4984},
  {"Definition (sum of sequences)", 172133, 4987},
  {"Definition (addition)", 172259, 4990},
  {"Addition", 172364, 4993},
  {"assoc+", 172543, 4998},
  {"comm\[RawStar]", 172730, 5003},
  {"comm+", 172908, 5008},
  {"left addition", 173094, 5013},
  {"Multiplication", 173281, 5018}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 172, 5, 206, "Subtitle"],
Cell[1951, 60, 154, 3, 101, "Subsubtitle"],
Cell[2108, 65, 542, 16, 183, "Subsubtitle",
  CellTags->"Built\[Dash]in (PauleSchorn)"],
Cell[2653, 83, 153, 4, 101, "Subsubtitle"],

Cell[CellGroupData[{
Cell[2831, 91, 41, 0, 131, "Section"],

Cell[CellGroupData[{
Cell[2897, 95, 128, 5, 125, "Subsection"],

Cell[CellGroupData[{
Cell[3050, 104, 32, 0, 91, "Subsubsubsection"],

Cell[CellGroupData[{
Cell[3107, 108, 45, 1, 81, "Input"],
Cell[3155, 111, 183, 3, 76, "Print"]
}, Open  ]],
Cell[3353, 117, 92, 1, 105, "Input"],
Cell[3448, 120, 118, 2, 105, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3603, 127, 35, 0, 75, "Subsubsection"],

Cell[CellGroupData[{
Cell[3663, 131, 121, 2, 105, "Input"],
Cell[3787, 135, 107, 2, 81, "Output"]
}, Open  ]],
Cell[3909, 140, 346, 9, 187, "Input",
  CellTags->"Definition (+)"],

Cell[CellGroupData[{
Cell[4280, 153, 156, 2, 105, "Input"],
Cell[4439, 157, 109, 2, 81, "Output"]
}, Open  ]],
Cell[4563, 162, 174, 5, 139, "Input",
  CellTags->"Lemma (0+)"],
Cell[4740, 169, 427, 10, 173, "Input",
  CellTags->"Proposition (commutativity of addition)"],
Cell[5170, 181, 281, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5488, 194, 58, 0, 75, "Subsubsection"],
Cell[5549, 196, 147, 2, 65, "Text"],
Cell[5699, 200, 194, 4, 65, "Text"],
Cell[5896, 206, 148, 2, 65, "Text"],
Cell[6047, 210, 136, 2, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[6220, 217, 40, 0, 75, "Subsubsection"],
Cell[6263, 219, 227, 6, 65, "Text"],
Cell[6493, 227, 170, 2, 65, "Text"],
Cell[6666, 231, 226, 5, 100, "Text"],
Cell[6895, 238, 159, 2, 65, "Text"],
Cell[7057, 242, 235, 5, 100, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[7329, 252, 34, 0, 75, "Subsubsection"],
Cell[7366, 254, 176, 3, 65, "Text"],
Cell[7545, 259, 169, 3, 65, "Text"],
Cell[7717, 264, 179, 3, 65, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7945, 273, 41, 0, 81, "Subsection"],

Cell[CellGroupData[{
Cell[8011, 277, 69, 0, 110, "Subsubsection"],

Cell[CellGroupData[{
Cell[8105, 281, 51, 0, 91, "Subsubsubsection"],

Cell[CellGroupData[{
Cell[8181, 285, 51, 1, 117, "Input"],
Cell[8235, 288, 159, 5, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8431, 298, 62, 1, 122, "Input"],
Cell[8496, 301, 366, 12, 94, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8899, 318, 75, 1, 122, "Input"],
Cell[8977, 321, 129, 3, 105, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[9155, 330, 42, 0, 68, "Subsubsubsection"],
Cell[9200, 332, 69, 1, 81, "Input"],
Cell[9272, 335, 146, 2, 81, "Input"],
Cell[9421, 339, 53, 1, 81, "Input"],
Cell[9477, 342, 51, 1, 81, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[9577, 349, 61, 0, 75, "Subsubsection"],
Cell[9641, 351, 72, 0, 94, "Subsubsubsection"],
Cell[9716, 353, 104, 2, 94, "Subsubsubsection"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[9869, 361, 29, 0, 81, "Subsection"],

Cell[CellGroupData[{
Cell[9923, 365, 38, 0, 110, "Subsubsection"],
Cell[9964, 367, 398, 10, 139, "Input",
  CellTags->"Proposition (conclusion)"],
Cell[10365, 379, 388, 10, 185, "Input",
  CellTags->"Proposition (assumptions)"],
Cell[10756, 391, 170, 3, 139, "Input"],
Cell[10929, 396, 282, 8, 65, "Text"],

Cell[CellGroupData[{
Cell[11236, 408, 61, 1, 105, "Input"],
Cell[11300, 411, 8770, 217, 5883, "Output"]
}, Closed]],
Cell[20085, 631, 3156, 50, 1804, "Input"],

Cell[CellGroupData[{
Cell[23266, 685, 34, 0, 91, "Subsubsubsection"],
Cell[23303, 687, 284, 8, 65, "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[23636, 701, 40, 0, 75, "Subsubsection"],
Cell[23679, 703, 75, 1, 105, "Input"],
Cell[23757, 706, 437, 8, 178, "Input",
  CellTags->"Theorem (Exists Distributivity)"],
Cell[24197, 716, 155, 3, 139, "Input"],
Cell[24355, 721, 277, 8, 65, "Text"],
Cell[24635, 731, 285, 6, 173, "Input"],
Cell[24923, 739, 277, 8, 65, "Text"],
Cell[25203, 749, 315, 6, 173, "Input"],
Cell[25521, 757, 277, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[25835, 770, 45, 0, 75, "Subsubsection"],

Cell[CellGroupData[{
Cell[25905, 774, 75, 0, 91, "Subsubsubsection"],
Cell[25983, 776, 76, 1, 105, "Input"],
Cell[26062, 779, 746, 17, 408, "Input",
  CellTags->"Axiom (Boolean algebra)"],
Cell[26811, 798, 116, 2, 122, "Input",
  CellTags->"Theorem (Goal)"],

Cell[CellGroupData[{
Cell[26952, 804, 123, 2, 105, "Input"],
Cell[27078, 808, 294, 5, 42, "Print"]
}, Open  ]],
Cell[27387, 816, 280, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[27704, 829, 82, 1, 68, "Subsubsubsection"],
Cell[27789, 832, 111, 2, 105, "Input",
  CellTags->"Assumption (1)"],
Cell[27903, 836, 137, 3, 105, "Input",
  CellTags->"Assumption (2)"],
Cell[28043, 841, 145, 3, 126, "Input",
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{
Cell[28213, 848, 151, 3, 105, "Input"],
Cell[28367, 853, 294, 5, 42, "Print"]
}, Open  ]],
Cell[28676, 861, 282, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[28995, 874, 59, 0, 68, "Subsubsubsection"],
Cell[29057, 876, 39, 0, 65, "Text"],
Cell[29099, 878, 588, 13, 273, "Input",
  CellTags->"Axiom (Sequence transformation)"],
Cell[29690, 893, 244, 4, 180, "Input",
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{
Cell[29959, 901, 330, 8, 105, "Input"],
Cell[30292, 911, 619, 9, 314, "Message"],
Cell[30914, 922, 281, 5, 42, "Print"]
}, Open  ]],
Cell[31210, 930, 275, 8, 65, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[31534, 944, 79, 0, 75, "Subsubsection"],
Cell[31616, 946, 56, 0, 53, "SmallText"]
}, Closed]],

Cell[CellGroupData[{
Cell[31709, 951, 46, 0, 75, "Subsubsection"],

Cell[CellGroupData[{
Cell[31780, 955, 68, 0, 91, "Subsubsubsection"],
Cell[31851, 957, 962, 18, 287, "Input",
  CellTags->"Formula (Test)"],
Cell[32816, 977, 105, 2, 105, "Input"],
Cell[32924, 981, 283, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[33244, 994, 133, 1, 68, "Subsubsubsection",
  CellTags->{"Equational Properties of Addition", "Test"}],
Cell[33380, 997, 67, 1, 53, "SmallText"],

Cell[CellGroupData[{
Cell[33472, 1002, 86, 1, 81, "Input"],
Cell[33561, 1005, 98, 2, 42, "Print"],
Cell[33662, 1009, 173, 3, 42, "Print"]
}, Open  ]],
Cell[33850, 1015, 541, 12, 273, "Input",
  CellTags->"Built\[Dash]in (PauleSchorn)"],
Cell[34394, 1029, 71, 1, 81, "Input"],
Cell[34468, 1032, 165, 3, 115, "Input"],
Cell[34636, 1037, 181, 3, 115, "Input"],
Cell[34820, 1042, 80, 1, 53, "SmallText"],
Cell[34903, 1045, 232, 7, 114, "Input",
  CellTags->"Formula (Gauss)"],

Cell[CellGroupData[{
Cell[35160, 1056, 110, 2, 81, "Input"],
Cell[35273, 1060, 68, 1, 42, "Print"],
Cell[35344, 1063, 559, 16, 81, "Print"],
Cell[35906, 1081, 54, 1, 78, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35997, 1087, 183, 3, 115, "Input"],
Cell[36183, 1092, 2516, 65, 153, "Print"],
Cell[38702, 1159, 3223, 82, 202, "Print"],
Cell[41928, 1243, 2242, 57, 217, "Print"]
}, Open  ]],
Cell[44185, 1303, 90, 2, 65, "Text"],

Cell[CellGroupData[{
Cell[44300, 1309, 1374, 36, 166, "Input"],
Cell[45677, 1347, 35, 1, 57, "Output"]
}, Open  ]],
Cell[45727, 1351, 443, 10, 170, "Text"],
Cell[46173, 1363, 368, 8, 189, "Input",
  CellTags->"Formula (SIAM series)"],

Cell[CellGroupData[{
Cell[46566, 1375, 116, 2, 81, "Input"],
Cell[46685, 1379, 73, 1, 42, "Print"],
Cell[46761, 1382, 2908, 74, 95, "Print"],
Cell[49672, 1458, 147, 2, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[49856, 1465, 198, 4, 115, "Input"],
Cell[50057, 1471, 7006, 179, 169, "Print"],
Cell[57066, 1652, 8155, 213, 216, "Print"],
Cell[65224, 1867, 10052, 261, 268, "Print"]
}, Open  ]],
Cell[75291, 2131, 161, 5, 65, "Text"],

Cell[CellGroupData[{
Cell[75477, 2140, 7362, 178, 212, "Input"],
Cell[82842, 2320, 35, 1, 57, "Output"]
}, Open  ]],
Cell[82892, 2324, 140, 3, 149, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[83081, 2333, 47, 0, 75, "Subsubsection"],
Cell[83131, 2335, 84, 1, 81, "Input"],
Cell[83218, 2338, 474, 10, 132, "Input",
  CellTags->"Proposition (Equal Transitivity)"],
Cell[83695, 2350, 109, 2, 81, "Input"],
Cell[83807, 2354, 274, 8, 65, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[84130, 2368, 111, 5, 82, "Subsection"],

Cell[CellGroupData[{
Cell[84266, 2377, 106, 2, 131, "Input",
  CellTags->"sets"],
Cell[84375, 2381, 435, 14, 107, "Output",
  CellTags->"sets"]
}, Open  ]],
Cell[84825, 2398, 261, 4, 139, "Input"],

Cell[CellGroupData[{
Cell[85111, 2406, 106, 2, 131, "Input",
  CellTags->"sets"],
Cell[85220, 2410, 63, 2, 81, "Output",
  CellTags->"sets"]
}, Open  ]],
Cell[85298, 2415, 55, 1, 105, "Input"],

Cell[CellGroupData[{
Cell[85378, 2420, 97, 2, 131, "Input",
  CellTags->"sets"],
Cell[85478, 2424, 63, 2, 81, "Output",
  CellTags->"sets"]
}, Open  ]],

Cell[CellGroupData[{
Cell[85578, 2431, 101, 2, 130, "Input",
  CellTags->"sets"],
Cell[85682, 2435, 63, 2, 81, "Output",
  CellTags->"sets"]
}, Open  ]],

Cell[CellGroupData[{
Cell[85782, 2442, 88, 1, 130, "Input"],
Cell[85873, 2445, 62, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[85972, 2451, 66, 1, 105, "Input"],
Cell[86041, 2454, 38, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86116, 2460, 48, 1, 105, "Input"],
Cell[86167, 2463, 43, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86247, 2469, 48, 1, 105, "Input"],
Cell[86298, 2472, 43, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86378, 2478, 60, 1, 105, "Input"],
Cell[86441, 2481, 39, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86517, 2487, 58, 1, 105, "Input"],
Cell[86578, 2490, 38, 1, 81, "Output"]
}, Open  ]],
Cell[86631, 2494, 381, 8, 215, "Input",
  CellTags->"Line_60"],

Cell[CellGroupData[{
Cell[87037, 2506, 65, 1, 105, "Input"],
Cell[87105, 2509, 40, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87182, 2515, 111, 2, 105, "Input"],
Cell[87296, 2519, 112, 2, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87445, 2526, 49, 1, 105, "Input"],
Cell[87497, 2529, 50, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87584, 2535, 73, 1, 105, "Input"],
Cell[87660, 2538, 38, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87735, 2544, 56, 1, 105, "Input"],
Cell[87794, 2547, 38, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87869, 2553, 53, 1, 105, "Input"],
Cell[87925, 2556, 38, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88000, 2562, 58, 1, 105, "Input"],
Cell[88061, 2565, 39, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88137, 2571, 104, 2, 105, "Input"],
Cell[88244, 2575, 38, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88319, 2581, 129, 2, 105, "Input"],
Cell[88451, 2585, 35, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88523, 2591, 83, 1, 105, "Input"],
Cell[88609, 2594, 35, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88681, 2600, 80, 1, 105, "Input"],
Cell[88764, 2603, 35, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88836, 2609, 43, 1, 105, "Input"],
Cell[88882, 2612, 35, 1, 81, "Output"]
}, Open  ]],
Cell[88932, 2616, 493, 10, 257, "Input",
  CellTags->"Line_73"],

Cell[CellGroupData[{
Cell[89450, 2630, 54, 1, 105, "Input"],
Cell[89507, 2633, 38, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89582, 2639, 55, 1, 105, "Input"],
Cell[89640, 2642, 43, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89720, 2648, 58, 1, 105, "Input"],
Cell[89781, 2651, 56, 1, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89874, 2657, 64, 1, 105, "Input"],
Cell[89941, 2660, 182, 3, 115, "Output"]
}, Open  ]],
Cell[90138, 2666, 58, 1, 105, "Input"],

Cell[CellGroupData[{
Cell[90221, 2671, 64, 1, 105, "Input"],
Cell[90288, 2674, 65, 1, 81, "Output"]
}, Open  ]],
Cell[90368, 2678, 38, 1, 105, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[90455, 2685, 43, 0, 87, "Section"],

Cell[CellGroupData[{
Cell[90523, 2689, 49, 0, 125, "Subsection"],

Cell[CellGroupData[{
Cell[90597, 2693, 138, 5, 110, "Subsubsection"],

Cell[CellGroupData[{
Cell[90760, 2702, 40, 0, 91, "Subsubsubsection"],

Cell[CellGroupData[{
Cell[90825, 2706, 430, 9, 193, "Input",
  CellTags->"Definition (limit:)"],
Cell[91258, 2717, 393, 6, 76, "Message",
  CellTags->"Definition (limit:)"]
}, Open  ]],

Cell[CellGroupData[{
Cell[91688, 2728, 124, 3, 105, "Input"],
Cell[91815, 2733, 3933, 88, 170, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[95785, 2826, 258, 4, 140, "Input"],
Cell[96046, 2832, 555, 12, 348, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[96650, 2850, 41, 0, 68, "Subsubsubsection"],
Cell[96694, 2852, 354, 9, 139, "Input",
  CellTags->"Proposition (limit of sum)"]
}, Closed]],

Cell[CellGroupData[{
Cell[97085, 2866, 92, 1, 68, "Subsubsubsection",
  CellTags->"Proposition (limit of sum)"],
Cell[97180, 2869, 237, 6, 139, "Input",
  CellTags->"Definition (+:)"],
Cell[97420, 2877, 568, 12, 139, "Input",
  CellTags->"Lemma (|+|)"],

Cell[CellGroupData[{
Cell[98013, 2893, 344, 8, 139, "Input",
  CellTags->"Lemma (max)"],
Cell[98360, 2903, 381, 6, 76, "Message",
  CellTags->"Lemma (max)"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[98802, 2916, 322, 5, 75, "Subsubsection",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "Limit of a Sequence", "limit of sum", "lim sum", "max-greater", 
    "maximum", "sum of sequences"}],
Cell[99127, 2923, 839, 24, 259, "Input",
  CellTags->"Theory (limit)"],

Cell[CellGroupData[{
Cell[99991, 2951, 119, 3, 105, "Input"],
Cell[100113, 2956, 15829, 315, 476, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[116003, 3278, 36, 0, 81, "Subsection"],

Cell[CellGroupData[{
Cell[116064, 3282, 52, 0, 110, "Subsubsection"],
Cell[116119, 3284, 93, 2, 65, "Text"],
Cell[116215, 3288, 115, 3, 65, "Text"],
Cell[116333, 3293, 247, 8, 65, "Text"],
Cell[116583, 3303, 249, 8, 65, "Text"],
Cell[116835, 3313, 247, 8, 65, "Text"],
Cell[117085, 3323, 102, 3, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[117224, 3331, 60, 0, 75, "Subsubsection"],

Cell[CellGroupData[{
Cell[117309, 3335, 347, 6, 105, "Input",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "max-greater", "maximum", "sum of sequences"}],
Cell[117659, 3343, 684, 11, 110, "Message",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "max-greater", "maximum", "sum of sequences"}]
}, Open  ]],
Cell[118358, 3357, 279, 8, 65, "Text"],
Cell[118640, 3367, 197, 3, 139, "Input"],
Cell[118840, 3372, 277, 8, 65, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[119166, 3386, 43, 0, 81, "Subsection"],
Cell[119212, 3388, 340, 8, 135, "Text"],

Cell[CellGroupData[{
Cell[119577, 3400, 60, 0, 110, "Subsubsection"],
Cell[119640, 3402, 392, 8, 172, "Input",
  CellTags->"Definition (reflexivity)"],
Cell[120035, 3412, 426, 9, 177, "Input",
  CellTags->"Definition (symmetry)"],
Cell[120464, 3423, 477, 9, 177, "Input",
  CellTags->"Definition (transitivity)"],
Cell[120944, 3434, 1115, 27, 223, "Input",
  CellTags->"Definition (equivalence)"],
Cell[122062, 3463, 354, 8, 140, "Input",
  CellTags->"Definition (class)"]
}, Closed]],

Cell[CellGroupData[{
Cell[122453, 3476, 32, 0, 75, "Subsubsection"],
Cell[122488, 3478, 424, 8, 174, "Input",
  CellTags->"Proposition (equal classes)"],
Cell[122915, 3488, 1056, 21, 343, "Input"],
Cell[123974, 3511, 279, 8, 65, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[124302, 3525, 37, 0, 81, "Subsection"],
Cell[124342, 3527, 458, 10, 157, "Input",
  CellTags->"Proposition (conv of sum)"],
Cell[124803, 3539, 669, 14, 153, "Input",
  CellTags->"Definition (conv)"],
Cell[125475, 3555, 425, 11, 115, "Input",
  CellTags->"Definition (sum of sequences)"],
Cell[125903, 3568, 278, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[126218, 3581, 58, 0, 81, "Subsection"],

Cell[CellGroupData[{
Cell[126301, 3585, 57, 0, 110, "Subsubsection"],
Cell[126361, 3587, 367, 10, 187, "Input",
  CellTags->"Definition (addition)"]
}, Closed]],

Cell[CellGroupData[{
Cell[126765, 3602, 40, 0, 75, "Subsubsection"],
Cell[126808, 3604, 380, 10, 139, "Input",
  CellTags->"Proposition (commutativity of addition)"],
Cell[127191, 3616, 448, 7, 241, "Input",
  CellTags->"Proposition (commutativity of addition)"],
Cell[127642, 3625, 279, 8, 65, "Text"],
Cell[127924, 3635, 35, 0, 53, "SmallText"]
}, Closed]],

Cell[CellGroupData[{
Cell[127996, 3640, 36, 0, 75, "Subsubsection"],
Cell[128035, 3642, 475, 8, 241, "Input",
  CellTags->{
  "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
    "Multiplication"}],
Cell[128515, 3653, 1029, 29, 65, "Text"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[129605, 3689, 41, 0, 87, "Section"],

Cell[CellGroupData[{
Cell[129671, 3693, 38, 0, 125, "Subsection"],
Cell[129712, 3695, 280, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[130029, 3708, 61, 0, 81, "Subsection"],
Cell[130093, 3710, 284, 8, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[130414, 3723, 72, 0, 81, "Subsection"],
Cell[130489, 3725, 294, 8, 65, "Text"]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

