(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     91373,       3329]*)
(*NotebookOutlinePosition[     95261,       3448]*)
(*  CellTagsIndexPosition[     94775,       3429]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition (goal))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition (goal)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(sort[\[LeftAngleBracket]1, 3, 2, 3\[RightAngleBracket]]\),
             "=", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (goal)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (1))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (1)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (1)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (2))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (2)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"prepend", "[", 
              RowBox[{
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], ",", 
                RowBox[{"insert", "[", 
                  RowBox[{
                    RowBox[{"min", "[", 
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(x\&_\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightAngleBracket]"}]}], 
                  "]"}]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (2)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (3))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (3)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]\[RightAngleBracket]] = \[LeftAngleBracket]\
\[RightAngleBracket]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (3)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (4))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (4)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sort", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], "=",
             
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"sort", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(y\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightAngleBracket]"}], "]"}]}], 
              "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (4)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (5))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (5)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"prepend", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightAngleBracket]"}]}], "]"}], "=",
             
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (5)"]
}, Open  ]],

Cell[TextData[{
  "To prove ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (goal)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (goal)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find  ",
  Cell[BoxData[
      \(x\&_\^"*"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]1, 3, 2, 
            3\[RightAngleBracket]] = \[LeftAngleBracket]x\&_\^"*"\
\[RightAngleBracket]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]},
  CellTags->"1"],

Cell["\<\
We will use the following assumptions, referring to them as axioms:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]\[RightAngleBracket]] = \[LeftAngleBracket]\
\[RightAngleBracket]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"prepend", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x2\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightAngleBracket]"}]}], "]"}], "=",
             
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sort", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(x2\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], "=",
             
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"sort", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x2\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightAngleBracket]"}], "]"}]}], 
              "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x3\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(x3\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"prepend", "[", 
              RowBox[{
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], ",", 
                RowBox[{"insert", "[", 
                  RowBox[{
                    RowBox[{"min", "[", 
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(x3\&_\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightAngleBracket]"}]}], 
                  "]"}]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 5"],

Cell["We choose ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      \(x\&_\^"*"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(Sequence[3, 3, 2, 1]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  "and show that the equality ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " holds ",
  "for this value",
  " (assuming that the built\[Dash]in simplification/decomposition is \
sound):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Theorem )",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Theorem "],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]1, 3, 2, 
            3\[RightAngleBracket]] = \[LeftAngleBracket]3, 3, 2, 
          1\[RightAngleBracket]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Theorem "],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "Proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontWeight->"Bold"],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]1, 3, 2, 3\[RightAngleBracket]]\)], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(\[LeftAngleBracket]3, 3, 2, 1\[RightAngleBracket]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(insert[1, 
        insert[3, insert[2, \[LeftAngleBracket]3\[RightAngleBracket]]]]\)], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(\[LeftAngleBracket]3, 3, 2, 1\[RightAngleBracket]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(insert[1, 
        insert[3, \[LeftAngleBracket]max[3, 2], 
            min[2, 3]\[RightAngleBracket]]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(\[LeftAngleBracket]3, 3, 2, 1\[RightAngleBracket]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]max[max[max[3, 2], 3], 1], 
        max[max[min[2, 3], min[3, max[3, 2]]], min[1, max[max[3, 2], 3]]], 
        max[min[min[3, max[3, 2]], min[2, 3]], 
          min[min[1, max[max[3, 2], 3]], max[min[2, 3], min[3, max[3, 2]]]]], 
        min[min[min[1, max[max[3, 2], 3]], 
            max[min[2, 3], min[3, max[3, 2]]]], 
          min[min[3, max[3, 2]], min[2, 3]]]\[RightAngleBracket]\)], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(\[LeftAngleBracket]3, 3, 2, 1\[RightAngleBracket]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  "the built\[Dash]in simplification/decomposition",
  ")"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]3, 3, 2, 1\[RightAngleBracket]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(\[LeftAngleBracket]3, 3, 2, 1\[RightAngleBracket]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "which, by reflexivity of equality, concludes the proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TextAlignment->Right]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Proposition["\<goal\>"], 
      using \[Rule] \ {Assumption["\<1\>"], Assumption["\<2\>"], 
          Assumption["\<3\>"], Assumption["\<4\>"], Assumption["\<5\>"]}, 
      by \[Rule] EquationalProver, 
      built\[Dash]in \[Rule] {Built\[Dash]in["\<MinMax\>"], 
          Built\[Dash]in["\<Numbers\>"]}, 
      ProverOptions \[Rule] {EqPrOrdering \[Rule] "\<LeftToRight\>"}]\)], \
"Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2004/07/31"
}], "Text"],

Cell[TextData[{
  StyleBox["algutil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["enullspace`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["fastZeil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["linsolve`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ExternalSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/08/14 19:07:50 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`OrientedRewriting`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/01/21 09:47:43 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/11 15:53:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.56 ",
  ", ",
  "Date: 2003/03/04 08:52:19 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`NormalForms`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2003/03/13 15:37:26 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2003/03/04 08:50:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2002/07/24 09:43:06 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/06/18 13:01:15 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`ACCandidates`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/03/07 09:13:04 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`Cascade`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/08/30 11:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`ConjectureGenerator`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/03/07 09:13:04 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/03/20 13:36:48 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2003/06/18 15:37:29 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2003/06/18 15:35:43 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2003/06/18 15:30:14 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2003/02/06 15:00:03 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2003/03/13 15:39:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:15:12 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:21:54 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:23:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:24 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:24:55 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:36 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:06 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:40 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:32 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:08:27 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:43 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:05 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2002/02/04 19:27:41 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:10 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:28:16 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:18 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:47 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:22 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:09 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:25 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:31 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`GBProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/08/17 17:04:33 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2001/03/04 23:48:01 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PauleSchorn`Simplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/08/30 08:45:26 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2002/06/03 18:29:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:08:38 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2001/11/19 12:11:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`EquationalProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/06/25 07:40:59 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`External`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2002/02/12 12:15:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`GroebnerBasesProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/12/14 17:19:00 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Induction`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/12/14 17:23:01 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/12/14 17:39:30 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PredicateProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/12/14 17:43:32 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PropositionalProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:03:41 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/12/14 18:07:50 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["zeilutil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]1, 3, 2, 
            3\[RightAngleBracket]] = \[LeftAngleBracket]x\&_\^"*"\
\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (1))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (1)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"insert", "[", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], "=", 
        RowBox[{"\[LeftAngleBracket]", 
          StyleBox["n",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (1)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (1))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (1)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (1)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (2))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (2)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"insert", "[", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}]}], "]"}], "=",
         
        RowBox[{"prepend", "[", 
          RowBox[{
            RowBox[{"max", "[", 
              RowBox[{
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], ",", 
            RowBox[{"insert", "[", 
              RowBox[{
                RowBox[{"min", "[", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightAngleBracket]"}]}], "]"}]}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (2)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (2))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (2)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"prepend", "[", 
              RowBox[{
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], ",", 
                RowBox[{"insert", "[", 
                  RowBox[{
                    RowBox[{"min", "[", 
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["m",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(x\&_\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightAngleBracket]"}]}], 
                  "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (2)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (3))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (3)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]\[RightAngleBracket]] = \[LeftAngleBracket]\
\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (3)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (4))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (4)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"sort", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(y\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightAngleBracket]"}], "]"}], "=", 
        RowBox[{"insert", "[", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            RowBox[{"sort", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[RightAngleBracket]"}], "]"}]}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (4)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (4))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (4)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sort", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], "=",
             
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"sort", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(y\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightAngleBracket]"}], "]"}]}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (4)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (5))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (5)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"prepend", "[", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightAngleBracket]"}]}], "]"}], "=", 
        RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (5)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (5))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (5)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"prepend", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightAngleBracket]"}]}], "]"}], "=",
             
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (5)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]\[RightAngleBracket]] = \[LeftAngleBracket]\
\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"prepend", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x2\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightAngleBracket]"}]}], "]"}], "=",
             
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sort", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(x2\&_\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], "=",
             
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"sort", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x2\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightAngleBracket]"}], "]"}]}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x3\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"insert", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(x3\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"prepend", "[", 
              RowBox[{
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], ",", 
                RowBox[{"insert", "[", 
                  RowBox[{
                    RowBox[{"min", "[", 
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(x3\&_\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightAngleBracket]"}]}], 
                  "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition (goal))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition (goal)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(sort[\[LeftAngleBracket]1, 3, 2, 3\[RightAngleBracket]]\),
             "=", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (goal)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Theorem )",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Theorem "],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(sort[\[LeftAngleBracket]1, 3, 2, 
            3\[RightAngleBracket]] = \[LeftAngleBracket]3, 3, 2, 
          1\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem "]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (goal)"->{
    Cell[1823, 55, 1080, 30, 39, "Conclusion",
      CellTags->"Proposition (goal)"],
    Cell[89528, 3273, 1137, 32, 70, "Text",
      CellTags->"Proposition (goal)"]},
  "Assumption (1)"->{
    Cell[3040, 92, 1267, 36, 38, "Assumption",
      CellTags->"Assumption (1)"],
    Cell[65896, 2601, 1014, 28, 70, "Text",
      CellTags->"Assumption (1)"],
    Cell[66913, 2631, 1324, 38, 70, "Text",
      CellTags->"Assumption (1)"]},
  "Assumption (2)"->{
    Cell[4310, 130, 2970, 77, 40, "Assumption",
      CellTags->"Assumption (2)"],
    Cell[68240, 2671, 2321, 63, 70, "Text",
      CellTags->"Assumption (2)"],
    Cell[70564, 2736, 3027, 79, 70, "Text",
      CellTags->"Assumption (2)"]},
  "Assumption (3)"->{
    Cell[7283, 209, 596, 15, 33, "Assumption",
      CellTags->"Assumption (3)"],
    Cell[73594, 2817, 653, 17, 70, "Text",
      CellTags->"Assumption (3)"]},
  "Assumption (4)"->{
    Cell[7882, 226, 1888, 51, 41, "Assumption",
      CellTags->"Assumption (4)"],
    Cell[74250, 2836, 1457, 40, 70, "Text",
      CellTags->"Assumption (4)"],
    Cell[75710, 2878, 1945, 53, 70, "Text",
      CellTags->"Assumption (4)"]},
  "Assumption (5)"->{
    Cell[9773, 279, 1763, 49, 41, "Assumption",
      CellTags->"Assumption (5)"],
    Cell[77658, 2933, 1339, 37, 70, "Text",
      CellTags->"Assumption (5)"],
    Cell[79000, 2972, 1820, 51, 70, "Text",
      CellTags->"Assumption (5)"]},
  "1"->{
    Cell[12104, 349, 575, 16, 33, "Conclusion",
      CellTags->"1"],
    Cell[65247, 2581, 646, 18, 70, "Text",
      CellTags->"1"]},
  "Axiom 1"->{
    Cell[12854, 372, 589, 15, 33, "Assumption",
      CellTags->"Axiom 1"],
    Cell[80823, 3025, 632, 17, 70, "Text",
      CellTags->"Axiom 1"]},
  "Axiom 2"->{
    Cell[13446, 389, 1263, 36, 38, "Assumption",
      CellTags->"Axiom 2"],
    Cell[81458, 3044, 1306, 38, 70, "Text",
      CellTags->"Axiom 2"]},
  "Axiom 3"->{
    Cell[14712, 427, 1762, 49, 42, "Assumption",
      CellTags->"Axiom 3"],
    Cell[82767, 3084, 1805, 51, 70, "Text",
      CellTags->"Axiom 3"]},
  "Axiom 4"->{
    Cell[16477, 478, 1887, 51, 42, "Assumption",
      CellTags->"Axiom 4"],
    Cell[84575, 3137, 1930, 53, 70, "Text",
      CellTags->"Axiom 4"]},
  "Axiom 5"->{
    Cell[18367, 531, 2974, 77, 42, "Assumption",
      CellTags->"Axiom 5"],
    Cell[86508, 3192, 3017, 79, 70, "Text",
      CellTags->"Axiom 5"]},
  "Theorem "->{
    Cell[22346, 644, 634, 16, 33, "Conclusion",
      CellTags->"Theorem "],
    Cell[90668, 3307, 677, 18, 70, "Text",
      CellTags->"Theorem "]},
  "AdditionalInfo"->{
    Cell[33962, 1059, 88, 1, 53, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (goal)", 92106, 3349},
  {"Assumption (1)", 92298, 3354},
  {"Assumption (2)", 92561, 3361},
  {"Assumption (3)", 92825, 3368},
  {"Assumption (4)", 93008, 3373},
  {"Assumption (5)", 93272, 3380},
  {"1", 93523, 3387},
  {"Axiom 1", 93674, 3392},
  {"Axiom 2", 93837, 3397},
  {"Axiom 3", 94002, 3402},
  {"Axiom 4", 94167, 3407},
  {"Axiom 5", 94332, 3412},
  {"Theorem ", 94498, 3417},
  {"AdditionalInfo", 94670, 3422}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 33, "ProofText"],
Cell[1823, 55, 1080, 30, 39, "Conclusion",
  CellTags->"Proposition (goal)"],

Cell[CellGroupData[{
Cell[2928, 89, 109, 1, 33, "ProofText"],
Cell[3040, 92, 1267, 36, 38, "Assumption",
  CellTags->"Assumption (1)"],
Cell[4310, 130, 2970, 77, 40, "Assumption",
  CellTags->"Assumption (2)"],
Cell[7283, 209, 596, 15, 33, "Assumption",
  CellTags->"Assumption (3)"],
Cell[7882, 226, 1888, 51, 41, "Assumption",
  CellTags->"Assumption (4)"],
Cell[9773, 279, 1763, 49, 41, "Assumption",
  CellTags->"Assumption (5)"]
}, Open  ]],
Cell[11551, 331, 550, 16, 33, "ProofText"],
Cell[12104, 349, 575, 16, 33, "Conclusion",
  CellTags->"1"],
Cell[12682, 367, 169, 3, 33, "ProofText"],
Cell[12854, 372, 589, 15, 33, "Assumption",
  CellTags->"Axiom 1"],
Cell[13446, 389, 1263, 36, 38, "Assumption",
  CellTags->"Axiom 2"],
Cell[14712, 427, 1762, 49, 42, "Assumption",
  CellTags->"Axiom 3"],
Cell[16477, 478, 1887, 51, 42, "Assumption",
  CellTags->"Axiom 4"],
Cell[18367, 531, 2974, 77, 42, "Assumption",
  CellTags->"Axiom 5"],
Cell[21344, 610, 90, 1, 33, "ProofText"],
Cell[21437, 613, 387, 10, 33, "ProofText"],
Cell[21827, 625, 494, 15, 33, "ProofText"],

Cell[CellGroupData[{
Cell[22346, 644, 634, 16, 33, "Conclusion",
  CellTags->"Theorem "],
Cell[22983, 662, 180, 6, 33, "ProofText"],
Cell[23166, 670, 523, 13, 33, "ProofText"],
Cell[23692, 685, 2124, 83, 52, "ProofText"],
Cell[25819, 770, 550, 14, 33, "ProofText"],
Cell[26372, 786, 1290, 50, 33, "ProofText"],
Cell[27665, 838, 566, 14, 33, "ProofText"],
Cell[28234, 854, 3514, 138, 71, "ProofText"],
Cell[31751, 994, 875, 19, 257, "ProofText"],
Cell[32629, 1015, 239, 8, 33, "ProofText"],
Cell[32871, 1025, 512, 12, 33, "ProofText"],
Cell[33386, 1039, 207, 5, 33, "ProofText"],
Cell[33596, 1046, 132, 2, 33, "ProofText"]
}, Open  ]],
Cell[33743, 1051, 182, 3, 26, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33962, 1059, 88, 1, 53, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[34075, 1064, 36, 0, 70, "Subsection"],
Cell[34114, 1066, 417, 8, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34568, 1079, 34, 0, 70, "Subsection"],
Cell[34605, 1081, 120, 7, 70, "Text"],
Cell[34728, 1090, 98, 4, 70, "Text"],
Cell[34829, 1096, 99, 4, 70, "Text"],
Cell[34931, 1102, 166, 9, 70, "Text"],
Cell[35100, 1113, 169, 9, 70, "Text"],
Cell[35272, 1124, 167, 9, 70, "Text"],
Cell[35442, 1135, 167, 9, 70, "Text"],
Cell[35612, 1146, 195, 9, 70, "Text"],
Cell[35810, 1157, 231, 9, 70, "Text"],
Cell[36044, 1168, 230, 9, 70, "Text"],
Cell[36277, 1179, 227, 9, 70, "Text"],
Cell[36507, 1190, 226, 9, 70, "Text"],
Cell[36736, 1201, 215, 9, 70, "Text"],
Cell[36954, 1212, 216, 9, 70, "Text"],
Cell[37173, 1223, 216, 9, 70, "Text"],
Cell[37392, 1234, 216, 9, 70, "Text"],
Cell[37611, 1245, 228, 9, 70, "Text"],
Cell[37842, 1256, 225, 9, 70, "Text"],
Cell[38070, 1267, 227, 9, 70, "Text"],
Cell[38300, 1278, 227, 9, 70, "Text"],
Cell[38530, 1289, 227, 9, 70, "Text"],
Cell[38760, 1300, 224, 9, 70, "Text"],
Cell[38987, 1311, 226, 9, 70, "Text"],
Cell[39216, 1322, 221, 9, 70, "Text"],
Cell[39440, 1333, 223, 9, 70, "Text"],
Cell[39666, 1344, 228, 9, 70, "Text"],
Cell[39897, 1355, 224, 9, 70, "Text"],
Cell[40124, 1366, 224, 9, 70, "Text"],
Cell[40351, 1377, 217, 9, 70, "Text"],
Cell[40571, 1388, 218, 9, 70, "Text"],
Cell[40792, 1399, 225, 9, 70, "Text"],
Cell[41020, 1410, 222, 9, 70, "Text"],
Cell[41245, 1421, 222, 9, 70, "Text"],
Cell[41470, 1432, 221, 9, 70, "Text"],
Cell[41694, 1443, 221, 9, 70, "Text"],
Cell[41918, 1454, 219, 9, 70, "Text"],
Cell[42140, 1465, 223, 9, 70, "Text"],
Cell[42366, 1476, 218, 9, 70, "Text"],
Cell[42587, 1487, 220, 9, 70, "Text"],
Cell[42810, 1498, 225, 9, 70, "Text"],
Cell[43038, 1509, 224, 9, 70, "Text"],
Cell[43265, 1520, 221, 9, 70, "Text"],
Cell[43489, 1531, 231, 9, 70, "Text"],
Cell[43723, 1542, 226, 9, 70, "Text"],
Cell[43952, 1553, 227, 9, 70, "Text"],
Cell[44182, 1564, 230, 9, 70, "Text"],
Cell[44415, 1575, 228, 9, 70, "Text"],
Cell[44646, 1586, 226, 9, 70, "Text"],
Cell[44875, 1597, 219, 9, 70, "Text"],
Cell[45097, 1608, 222, 9, 70, "Text"],
Cell[45322, 1619, 223, 9, 70, "Text"],
Cell[45548, 1630, 223, 9, 70, "Text"],
Cell[45774, 1641, 234, 9, 70, "Text"],
Cell[46011, 1652, 233, 9, 70, "Text"],
Cell[46247, 1663, 202, 9, 70, "Text"],
Cell[46452, 1674, 236, 9, 70, "Text"],
Cell[46691, 1685, 201, 9, 70, "Text"],
Cell[46895, 1696, 228, 9, 70, "Text"],
Cell[47126, 1707, 223, 9, 70, "Text"],
Cell[47352, 1718, 236, 9, 70, "Text"],
Cell[47591, 1729, 228, 9, 70, "Text"],
Cell[47822, 1740, 230, 9, 70, "Text"],
Cell[48055, 1751, 222, 9, 70, "Text"],
Cell[48280, 1762, 232, 9, 70, "Text"],
Cell[48515, 1773, 224, 9, 70, "Text"],
Cell[48742, 1784, 236, 9, 70, "Text"],
Cell[48981, 1795, 228, 9, 70, "Text"],
Cell[49212, 1806, 222, 9, 70, "Text"],
Cell[49437, 1817, 233, 9, 70, "Text"],
Cell[49673, 1828, 225, 9, 70, "Text"],
Cell[49901, 1839, 234, 9, 70, "Text"],
Cell[50138, 1850, 226, 9, 70, "Text"],
Cell[50367, 1861, 234, 9, 70, "Text"],
Cell[50604, 1872, 226, 9, 70, "Text"],
Cell[50833, 1883, 235, 9, 70, "Text"],
Cell[51071, 1894, 227, 9, 70, "Text"],
Cell[51301, 1905, 234, 9, 70, "Text"],
Cell[51538, 1916, 226, 9, 70, "Text"],
Cell[51767, 1927, 236, 9, 70, "Text"],
Cell[52006, 1938, 228, 9, 70, "Text"],
Cell[52237, 1949, 240, 9, 70, "Text"],
Cell[52480, 1960, 232, 9, 70, "Text"],
Cell[52715, 1971, 222, 9, 70, "Text"],
Cell[52940, 1982, 229, 9, 70, "Text"],
Cell[53172, 1993, 221, 9, 70, "Text"],
Cell[53396, 2004, 230, 9, 70, "Text"],
Cell[53629, 2015, 218, 9, 70, "Text"],
Cell[53850, 2026, 220, 9, 70, "Text"],
Cell[54073, 2037, 227, 9, 70, "Text"],
Cell[54303, 2048, 216, 9, 70, "Text"],
Cell[54522, 2059, 222, 9, 70, "Text"],
Cell[54747, 2070, 218, 9, 70, "Text"],
Cell[54968, 2081, 221, 9, 70, "Text"],
Cell[55192, 2092, 215, 9, 70, "Text"],
Cell[55410, 2103, 221, 9, 70, "Text"],
Cell[55634, 2114, 225, 9, 70, "Text"],
Cell[55862, 2125, 223, 9, 70, "Text"],
Cell[56088, 2136, 219, 9, 70, "Text"],
Cell[56310, 2147, 231, 9, 70, "Text"],
Cell[56544, 2158, 236, 9, 70, "Text"],
Cell[56783, 2169, 230, 9, 70, "Text"],
Cell[57016, 2180, 226, 9, 70, "Text"],
Cell[57245, 2191, 228, 9, 70, "Text"],
Cell[57476, 2202, 232, 9, 70, "Text"],
Cell[57711, 2213, 226, 9, 70, "Text"],
Cell[57940, 2224, 224, 9, 70, "Text"],
Cell[58167, 2235, 235, 9, 70, "Text"],
Cell[58405, 2246, 230, 9, 70, "Text"],
Cell[58638, 2257, 241, 9, 70, "Text"],
Cell[58882, 2268, 170, 9, 70, "Text"],
Cell[59055, 2279, 227, 9, 70, "Text"],
Cell[59285, 2290, 225, 9, 70, "Text"],
Cell[59513, 2301, 230, 9, 70, "Text"],
Cell[59746, 2312, 224, 9, 70, "Text"],
Cell[59973, 2323, 221, 9, 70, "Text"],
Cell[60197, 2334, 230, 9, 70, "Text"],
Cell[60430, 2345, 235, 9, 70, "Text"],
Cell[60668, 2356, 246, 9, 70, "Text"],
Cell[60917, 2367, 224, 9, 70, "Text"],
Cell[61144, 2378, 228, 9, 70, "Text"],
Cell[61375, 2389, 241, 9, 70, "Text"],
Cell[61619, 2400, 234, 9, 70, "Text"],
Cell[61856, 2411, 229, 9, 70, "Text"],
Cell[62088, 2422, 232, 9, 70, "Text"],
Cell[62323, 2433, 233, 9, 70, "Text"],
Cell[62559, 2444, 225, 9, 70, "Text"],
Cell[62787, 2455, 235, 9, 70, "Text"],
Cell[63025, 2466, 226, 9, 70, "Text"],
Cell[63254, 2477, 220, 9, 70, "Text"],
Cell[63477, 2488, 232, 9, 70, "Text"],
Cell[63712, 2499, 236, 9, 70, "Text"],
Cell[63951, 2510, 231, 9, 70, "Text"],
Cell[64185, 2521, 210, 9, 70, "Text"],
Cell[64398, 2532, 211, 9, 70, "Text"],
Cell[64612, 2543, 184, 9, 70, "Text"],
Cell[64799, 2554, 182, 9, 70, "Text"],
Cell[64984, 2565, 167, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[65188, 2579, 56, 0, 70, "Subsection"],
Cell[65247, 2581, 646, 18, 70, "Text",
  CellTags->"1"],
Cell[65896, 2601, 1014, 28, 70, "Text",
  CellTags->"Assumption (1)"],
Cell[66913, 2631, 1324, 38, 70, "Text",
  CellTags->"Assumption (1)"],
Cell[68240, 2671, 2321, 63, 70, "Text",
  CellTags->"Assumption (2)"],
Cell[70564, 2736, 3027, 79, 70, "Text",
  CellTags->"Assumption (2)"],
Cell[73594, 2817, 653, 17, 70, "Text",
  CellTags->"Assumption (3)"],
Cell[74250, 2836, 1457, 40, 70, "Text",
  CellTags->"Assumption (4)"],
Cell[75710, 2878, 1945, 53, 70, "Text",
  CellTags->"Assumption (4)"],
Cell[77658, 2933, 1339, 37, 70, "Text",
  CellTags->"Assumption (5)"],
Cell[79000, 2972, 1820, 51, 70, "Text",
  CellTags->"Assumption (5)"],
Cell[80823, 3025, 632, 17, 70, "Text",
  CellTags->"Axiom 1"],
Cell[81458, 3044, 1306, 38, 70, "Text",
  CellTags->"Axiom 2"],
Cell[82767, 3084, 1805, 51, 70, "Text",
  CellTags->"Axiom 3"],
Cell[84575, 3137, 1930, 53, 70, "Text",
  CellTags->"Axiom 4"],
Cell[86508, 3192, 3017, 79, 70, "Text",
  CellTags->"Axiom 5"],
Cell[89528, 3273, 1137, 32, 70, "Text",
  CellTags->"Proposition (goal)"],
Cell[90668, 3307, 677, 18, 70, "Text",
  CellTags->"Theorem "]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

